%define nm_version          0.9.2.0
%define dbus_version        1.4.14
%define gtk3_version        3.0.0
%define openvpn_version     2.1
%define shared_mime_version 0.16-3

%define svn_snapshot %{nil}

Summary: NetworkManager VPN plugin for OpenVPN
Summary(ja): OpenVPN を使った NetworkManager 用 VPN プラグイン
Name: NetworkManager-openvpn
Version: 0.9.2.0
Release: 1%{?svn_snapshot}%{?_dist_release}
License: GPLv2+
URL: http://www.gnome.org/projects/NetworkManager/
Group: System Environment/Base
# How to build the source package:
# - Check out NetworkManager from Gnome SVN, currently trunk is used
# - cd NetworkManager/vpn-daemons/openvpn
# - ./autogen.sh --prefix=/usr --sysconfdir=/etc
# - make distcheck
# - use generated NetworkManager-openvpn-0.7.0.tar.gz
Source: %{name}-%{version}%{?svn_snapshot}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk3-devel                 >= %{gtk3_version}
BuildRequires: dbus-devel                 >= %{dbus_version}
BuildRequires: NetworkManager-devel       >= %{nm_version}
BuildRequires: NetworkManager-glib-devel  >= %{nm_version}
BuildRequires: glib2-devel
BuildRequires: GConf2-devel
BuildRequires: libgnomeui-devel
BuildRequires: gnome-keyring-devel
BuildRequires: libglade2-devel
BuildRequires: libpng-devel
BuildRequires: perl-XML-Parser
BuildRequires: libtool intltool gettext
BuildRequires: perl
BuildRequires: gnome-common
Requires(post): %{_bindir}/update-desktop-database
Requires(postun): %{_bindir}/update-desktop-database
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires: gtk3             >= %{gtk3_version}
Requires: dbus             >= %{dbus_version}
Requires: NetworkManager   >= %{nm_version}
Requires: openvpn          >= %{openvpn_version}
Requires: shared-mime-info >= %{shared_mime_version}
Requires: GConf2
Requires: gnome-keyring


%description
This package contains software for integrating the OpenVPN VPN software
with NetworkManager and the GNOME desktop.

%description -l ja
本パッケージに収録されているソフトウェアにより、OpenVPN を
NetworkManager と GNOME デスクトップに統合させることができます。


%prep
%setup -q -n %{name}-%{version}


%build
if [ ! -f configure ]; then
  ./autogen.sh
fi
%configure --disable-static --disable-dependency-tracking \
           --enable-more-warnings=yes
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"

rm -f %{buildroot}%{_libdir}/NetworkManager/lib*.la

%find_lang %{name}


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
/usr/bin/update-desktop-database > /dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
      /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
/sbin/ldconfig
/usr/bin/update-desktop-database > /dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
      /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS ChangeLog README
%{_libdir}/NetworkManager/lib*.so*
%{_libexecdir}/nm-openvpn-auth-dialog
%{_sysconfdir}/dbus-1/system.d/nm-openvpn-service.conf
%{_sysconfdir}/NetworkManager/VPN/nm-openvpn-service.name
%{_libexecdir}/nm-openvpn-service
%{_libexecdir}/nm-openvpn-service-openvpn-helper
%{_datadir}/gnome-vpn-properties/openvpn/nm-openvpn-dialog.ui
%dir %{_datadir}/gnome-vpn-properties/openvpn


%changelog
* Wed Nov 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.2.0-1
- new upstream release

* Tue Aug 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.0-1
- new upstream release

* Thu Aug 18 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.9997-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel

* Wed May 04 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.4-1
- new upstream release

* Sat Jan 01 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.2-1
- new upstream release

* Tue May 11 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8-1
- new upstream release

* Tue May 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.1-1
- new upstream release

* Sat Mar 28 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.7.0.99-1
- new upstream release in sync with NetworkManager-0.7.0.99

* Wed Jan 28 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.7.0-1.svn14
- updated to new upstream tree, svn snapshot r14
  (svn://svn.gnome.org/svn/network-manager-openvpn)
- rebuilt with updated NetworkManager (0.7.0-1.git20090102)
- add Japanese summary and description

* Sat Sep 27 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.0-0.2.svn4027
- update to new svn snapshot (r4027)

* Mon Aug 11 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.0-0.1.svn3918
- initial build for Vine Linux

* Thu Jul 24 2008 Dan Williams <dcbw@redhat.com> 1:0.7.0-15.svn3846
- Rebuild to sync with F9 release number

* Thu Jul 24 2008 Dan Williams <dcbw@redhat.com> 1:0.7.0-11.svn3846
- Fix TLS Authentication direction combo
- Only update settings if the advanced dialog's OK button is pressed

* Fri Jul 18 2008 Dan Williams <dcbw@redhat.com> 1:0.7.0-11.svn3832
- Update for NM netmask -> prefix changes

* Wed Jul 02 2008 Dan Williams <dcbw@redhat.com> 1:0.7.0-11.svn3801
- Update for moving VPN editing into connection manager
- Import OpenVPN configuration files rather than old custom format

* Mon May 05 2008 Dan Williams <dcbw@redhat.com> 1:0.7.0-10.svn3632
- Fix issue with location of the VPN plugin

* Thu May 01 2008 Dan Williams <dcbw@redhat.com> 1:0.7.0-10.svn3627
- Update for compat with new NM bits

* Wed Apr 23 2008 Christoph Höger <choeger@cs.tu-berlin.de> 1:0.7.0-10.svn3549
- (Hopefully) Fix generation of nm-openvpn-service.name (#443389)
 
* Wed Apr 09 2008 Dan Williams <dcbw@redhat.com> 1:0.7.0-9.svn3549
- Update for compat with new NM bits

* Mon Mar 03 2008 Tim Niemueller <tim@niemueller.de> 1:0.7.0-9.svn3302
- Mute %post and %postun scripts

* Fri Feb 08 2008 Tim Niemueller <tim@niemueller.de> 1:0.7.0-8.svn3302
- Update to latest SVN snapshot
- Fixes rhbz#429816 (port was not saved correctly)
- Respects DNS search string from OpenVPN server

* Fri Jan 18 2008 Tim Niemueller <tim@niemueller.de> 1:0.7.0-7.svn3169
- Use install -p during "make install" to fix #342701

* Thu Dec 13 2007 Tim Niemueller <tim@niemueller.de> 1:0.7.0-6.svn3169
- Update to latest SVN snapshot

* Thu Dec  6 2007 Dan Williams <dcbw@redhat.com> 1:0.7.0-5.svn3140
- Update to latest SVN snapshot to get stuff working

* Fri Nov 23 2007 Tim Niemueller <tim@niemueller.de> 1:0.7.0-4.svn3047
- BuildRequire libtool and glib2-devel since we call autogen.sh now

* Fri Nov 23 2007 Tim Niemueller <tim@niemueller.de> 1:0.7.0-3.svn3047
- Fixed #320941
- Call autogen, therefore BuildRequire gnome-common
- Use plain 3047 from repo and use a patch, we cannot use trunk at the
  moment since it is in flux and incompatible with NM available for F8

* Wed Oct 31 2007 Tim Niemueller <tim@niemueller.de> 1:0.7.0-2.svn3047.fc8
- BuildRequire gettext

* Tue Oct 30 2007 Tim Niemueller <tim@niemueller.de> 1:0.7.0-1.svn3047.fc8
- Upgrade to trunk, needed to be compatible with NM 0.7.0, rebuild for F-8

* Fri Sep 15 2006 Tim Niemueller <tim@niemueller.de> 0.3.2-7
- Rebuild for FC6

* Sat Aug 19 2006 Tim Niemueller <tim@niemueller.de> 0.3.2-5
- Added perl-XML-Parser as a build requirement, needed for intltool

* Tue Aug 15 2006 Tim Niemueller <tim@niemueller.de> 0.3.2-4
- Added instructions how to build the source package
- removed a rm line

* Wed Aug 09 2006 Tim Niemueller <tim@niemueller.de> 0.3.2-3
- Added URL

* Fri Aug 04 2006 Tim Niemueller <tim@niemueller.de> 0.3.2-2
- Upgrade to current upstream version (0.3.2 on 0.6 branch)

* Mon Jul 10 2006 Tim Niemueller <tim@niemueller.de> 0.3.2-1
- Upgraded to 0.3.2 for 0.6 branch

* Tue Dec 06 2005 Tim Niemueller <tim@niemueller.de> 0.3-1
- Initial revision based on NetworkManager-vpnc spec

