%define _fontdir %{_datadir}/fonts/TrueType-droid
%define fontname droid-fonts

Name: TrueType-droid
Summary: Droid Fonts Family
Summary(ja): Droid フォントファミリ - "Android" 搭載フォント
Version: 20120122git
Release: 1%{?_dist_release}
License: Apache License 2.0
Group: User Interface/X
URL: http://www.droidfonts.com/
Source0: %{fontname}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildArch: noarch
Requires: TrueType-droid-serif = %{version}
Requires: TrueType-droid-sans = %{version}
Requires: TrueType-droid-doc = %{version}

Obsoletes: TrueType-droid =< 1.0.20100630
Obsoletes: TrueType-droid-serif =< 1.0.20100630
Obsoletes: TrueType-droid-sans =< 1.0.20100630
Obsoletes: TrueType-droid-doc =< 1.0.20100630

%description
The Droid family of fonts was designed by Ascender’s Steve Matteson
beginning in the fall of 2006. The Droid family of fonts consists of
Droid Sans, Droid Sans Mono and Droid Serif. 

This package is meta package to install both Droid serif and Droid sans
fonts.

%description -l ja
Droid フォントファミリは2006年の秋に Ascender の Steve Matteson によって
デザインが開始されました。Droid フォントファミリは Droid Sans、Droid Sans Mono、
Droid Serif から構成されます。

このパッケージは Droid フォントをインストールするためのメタパッケージです。
このパッケージで serif、sans がインストールされます。

%package serif
Summary: Droid serif fonts
Summary(ja): Droid serif フォント
Group: User Interface/X
Requires: TrueType-droid-doc
Obsoletes: TrueType-droid-serif =< 1.0.20100630

%description serif
This package includes Droid serif fonts.

%description -l ja serif
このパッケージには Droid serif フォントが含まれています。

DroidNaskh-Bold
DroidNaskh-Regular
DroidSerif-Bold
DroidSerif-BoldItalic
DroidSerif-Italic
DroidSerif-Regular

%package sans
Summary: Droid sans fonts
Summary(ja): Droid sans フォント
Group: User Interface/X
Requires: TrueType-droid-doc
Obsoletes: TrueType-droid-sans =< 1.0.20100630

%description sans
This package includes Droid sans fonts.

%description -l ja sans
このパッケージには Droid sans フォントが含まれています。

AndroidClock
AndroidClock_Highlight
AndroidClock_Solid
Clockopia
DroidKufi-Bold
DroidKufi-Regular
DroidSans-Bold
DroidSans
DroidSansArmenian
DroidSansEthiopic-Bold
DroidSansEthiopic-Regular
DroidSansFallback
DroidSansFallbackFull
DroidSansGeorgian
DroidSansHebrew-Bold
DroidSansHebrew-Regular
DroidSansJapanese
DroidSansMono
DroidSansThai

%package doc
Summary: Droid Font Documents
Summary(ja): Droid フォントドキュメント
Group: User Interface/X
Obsoletes: TrueType-droid-doc =< 1.0.20100630

%description doc
This package includes important documents for Droid fonts includes enduser
license.

%description -l ja doc
このパッケージには Droid フォントのライセンスを含むドキュメント類が含まれています。


%prep
%setup -q -n %{fontname}

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

# delete disused font
rm -rf $RPM_BUILD_ROOT%{_fontdir}/Ahem.ttf
# delete DroidSansFallbackLegacy
rm -rf $RPM_BUILD_ROOT%{_fontdir}/DroidSansFallbackLegacy.ttf

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%post sans
%__font_install_post %{_fontdir}

%post serif
%__font_install_post %{_fontdir}

%postun sans
%__font_install_postun %{_fontdir}

%postun serif
%__font_install_postun %{_fontdir}

%files

%files doc
%doc README.txt NOTICE MODULE_LICENSE_APACHE2

%files sans
%{_fontdir}/AndroidClock*.ttf
%{_fontdir}/DroidKufi*.ttf
%{_fontdir}/DroidSans*.ttf
%{_fontdir}/Clockopia.ttf

%files serif
%{_fontdir}/DroidNaskh*.ttf
%{_fontdir}/DroidSerif*.ttf


%changelog
* Wed Jan 25 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20120122git-1
- new upstream release
- changed source archive type bz2 to xz
- deleted Android.mk in %%doc

* Sun Jul 24 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20110706git-1
- new upstream release
- changed source versioning
- removed DroidSansFallbackLegacy.ttf (disused font, remained in source)

* Wed Jun 30 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0.20100630-1
- new upstream release

* Sat Feb 27 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0.20100227-1
- new upstream release

* Sun Jan 31 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0.20100131-1
- new upstream release

* Mon May 18 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0.20090430-2
- removed Ahem.ttf (disused font)
- spec in UTF-8

* Thu Apr 30 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0.20090430-1
- initial build for VineSeed
