Version: 0.6.17
Summary: Untrusted/encrypted backup using rsync algorithm
Summary(ja): rsync アルゴリズムを使い暗号化されない/されたバックアップを行う

Name: duplicity
Release: 1%{?_dist_release}
URL: http://www.nongnu.org/duplicity/
Source: http://savannah.nongnu.org/download/duplicity/%{name}-%{version}.tar.gz
License: GPLv2+
Group: Applications/Archiving
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: librsync >= 0.9.6 python >= 2.3 gnupg >= 1.0.6
Requires: openssh-clients rsync ncftp
Requires: python-boto >= 0.9d python-GnuPGInterface >= 0.3.2
BuildRequires: python-devel >= 2.3
BuildRequires: librsync-devel >= 0.9.6

%description
Duplicity incrementally backs up files and directory by encrypting
tar-format volumes with GnuPG and uploading them to a remote (or
local) file server.  In theory many remote backends are possible;
right now local, ssh/scp, ftp, and rsync backends are written.
Because duplicity uses librsync, the incremental archives are space
efficient and only record the parts of files that have changed since
the last backup.  Currently duplicity supports deleted files, full
unix permissions, directories, symbolic links, fifos, etc., but not
hard links.

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%find_lang %{name}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc CHANGELOG COPYING README
%{_bindir}/rdiffdir
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{_mandir}/man1/rdiffdir*
%{python_sitearch}/%{name}*

%changelog
* Tue Feb 21 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.17-1
- new upstream release

* Tue Oct 18 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.16-1
- new upstream release

* Sun Sep 11 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.15-1
- new upstream release

* Thu Aug 04 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.14-1
- new upstream release

* Sat Apr 30 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.13-1
- new upstream release

* Tue Dec 7 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.11-1
- new upstream release

* Wed Oct 13 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.10-1
- new upstream release

* Fri Aug 20 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.09-1
- new upstream release

* Sat May 22 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.08b-1
- initial build for VineSeed

* Sat Aug 09 2003 Ben Escoto <bescoto@stanford.edu>
- Repackaging for Fedora
- autodetect python version
- require librsync >=0.9.6

* Sun Aug 30 2002 Ben Escoto <bescoto@stanford.edu>
- Initial RPM
