Summary:        A collection of GStreamer modules and libraries for videoconferencing
Name:           farstream
Version:        0.1.2
Release:        1%{?_dist_release}

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.freedesktop.org/wiki/Software/Farstream
Source0:        http://freedesktop.org/software/farstream/releases/farstream/%{name}/%{name}-%{version}.tar.gz

Patch0:		farstream-prefer-vp8.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:	libnice-devel
BuildRequires:	gstreamer-devel >= 0.10.33
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.33
BuildRequires:	python-devel
BuildRequires:	pygobject-devel
BuildRequires:	gstreamer-python-devel

%description
Farstream is a collection of GStreamer modules and libraries for
videoconferencing. The API is described in the documentation in the
docs/ directory.


%package	devel
Summary:        Development tools for farstream
Summary(ja):    farstream の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
farstream.


%package        doc
Summary:        Documentation for farstream
Summary(ja):    farstream 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:	noarch


%description    doc
This package contains documentation for farstream.


%prep
%setup -q
%patch0 -p1


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README NEWS COPYING ChangeLog AUTHORS
%{_libdir}/libfarstream-0.1.so.*
%{_libdir}/farstream-0.1/*.so
%{_libdir}/gstreamer-0.10/*.so
%{python_sitearch}/farstream.so
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_includedir}/farstream-0.1
%{_libdir}/pkgconfig/farstream-0.1.pc
%{_libdir}/libfarstream-0.1.so

%files doc
%defattr(-,root,root,-)
%{_libdir}/libfarstream-0.1.so
%{_datadir}/gtk-doc/html/farstream-libs-0.10
%{_datadir}/gtk-doc/html/farstream-plugins-0.1


%changelog
* Sat Apr 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.2-1
- initial build for VIne Linux

