Name:		flickcurl
Version:	1.18
Release:	1%{?_dist_release}
Summary:	C library for the Flickr API

Group:		System Environment/Libraries
License:	LGPLv2+ or GPLv2+ or ASL 2.0
URL:		http://librdf.org/%{name}/
Source0:	http://download.dajobe.org/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libxml2-devel, curl-devel, chrpath, raptor-devel

Distribution: Vine Linux
Vendor: Project Vine
Packager: iwaim

%description
Flickcurl is a C library for the Flickr API, handling creating the
requests, signing, token management, calling the API, marshalling
request parameters and decoding responses. It uses libcurl to call the
REST web service and libxml2 to manipulate the XML
responses. Flickcurl supports 100% of the 2009-04-04 version of the
API (see Flickcurl API coverage) including the functions for
photo/video uploading, browsing, searching, adding and editing
comments, groups, notes, photosets, categories, activity, blogs,
favorites, places, tags, machine tags, institutions, pandas and
photo/video metadata. It also includes a program flickrdf to turn
photo metadata, tags, machine tags and places into an RDF triples
description.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}, libxml2-devel, curl-devel, raptor-devel
BuildRequires:	pkgconfig

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

#removing rpaths with chrpath
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/flickcurl
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/flickrdf

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README NOTICE
%doc LICENSE-2.0.txt LICENSE.html COPYING.LIB
%doc coverage.html ChangeLog README.html NEWS.html
%{_libdir}/*.so.*
%{_bindir}/flickcurl
%{_bindir}/flickrdf
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/flickrdf.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_bindir}/flickcurl-config
%{_mandir}/man1/%{name}-config.1.gz

%changelog
* Sun Sep  4 2011 IWAI, Masaharu <iwai@alib.jp> 1.18-1
- build for Vine Linux: based Fedora 1.18-2

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed May 05 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 1.18-1
- Updated to 1.18

* Sat Jan 30 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 1.16-1
- Updated to 1.16

* Thu Dec 03 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 1.14-1
- Updated to 1.14

* Thu Aug 06 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 1.13-1
- Updated to 1.13

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 24 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.10-3
- Added pkgconfig as devel sub package BR
- Fixed %%files folder *gtk-doc/html ownership

* Wed May 06 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.10-2
- Added raptor-devel require.

* Wed May 06 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.10-1
- Initial package
