Name: gcalctool
Version: 6.4.0
Release: 1%{?_dist_release}
Summary: Gnome2 Calculator application
Summary(ja): GNOME2 電卓アプリケーション
Group: Applications/Productivity
License: GPL
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/6.4/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk3-devel >= 3.0.0
BuildRequires: glib2-devel
BuildRequires: GConf2-devel
BuildRequires: libxml2-devel
BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: perl-XML-Parser scrollkeeper
BuildRequires: flex, bison
BuildRequires: docbook-utils
BuildRequires: desktop-file-utils
BuildRequires: itstool
Requires(post,postun): scrollkeeper
Requires(post,pre,preun): GConf2

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
gcalctool is a calculator application based on Gtk2.
  
%description -l ja
gcalctool は Gtk2 ベースの電卓アプリケーションです。


%prep
%setup -q

%build
%configure --disable-schemas-install --disable-scrollkeeper
make %{?_smp_mflsgs}

%install
rm -fr $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name} --with-gnome

rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper

%clean
rm -rf %{buildroot}


%post
scrollkeeper-update > /dev/null 2>&1 || :

%postun 
scrollkeeper-update > /dev/null 2>&1 || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%posttrans 
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING NEWS README ChangeLog
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/gcalctool
%{_datadir}/help/*/%{name}/*
%{_mandir}/man1/*
%{_datadir}/glib-2.0/schemas/org.gnome.gcalctool.gschema.xml

%changelog
* Sun Apr 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.4.0-1
- new upstream release
- add BuildRequires: itstool

* Thu Sep 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.2.0-1
- new upstream release
- add BuildRequires: libxml2-devel

* Sun Sep 04 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.1.5-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.1.3-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.32.0-1
- new upstream release
- fix %install, %post, %postun and %files
- remove %pre and %preun
- add %posttrans

* Sat Jul 24 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.30.2-1
- new upstream release

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.30.1-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.30.0-1
- new upstream release

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.28.2-1
- new upstream release
- add BuildRequires: docbook-utils, desktop-file-utils

* Sun Nov 01 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.28.1-1
- new upstream release

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 5.26.3-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 5.26.1-1
- new upstream release

* Fri Apr 10 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.26.0-1
- new upstream release

* Sat Nov 29 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.24.2-1
- new upstream release

* Wed Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 5.24.1-1
- new upstream release

* Tue Oct 14 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.24.0-1vl5
- new upstream release
- spec in UTF-8

* Sun Apr  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.22.0-1vl5
- new upstream release
- added %%pre, %%preun section

* Sun Jan 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.20.2-0vl1
- new upstream release

* Sun May 27 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.9.14-0vl1
- new upstream release

* Sat Nov 25 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 5.8.23-0vl2
- add BuildRequires:
  - libgnome-devel, libgnomeui-devel, gnome-doc-utils, flex, bison

* Sat Sep  2 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.8.23-0vl1
- new upstream release

* Sun Jun 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 5.8.13-0vl1
- new upstream release

* Mon May  8 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.8.10-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 5.7.32-0vl1
- new upstream release

* Wed Jan 25 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.7.27-0vl1
- updated to 5.7.27
- added BuildRequires: scrollkeeper, atk-devel

* Wed Oct 12 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.6.31-0vl1
- updated to 5.6.31

* Fri Jun 24 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.6.14-0vl1
- updated to 5.6.14
- change Group: to Applications/Productivity

* Sun Apr 10 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.5.41-0vl1
- updated to 5.5.41

* Fri Dec 17 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.20-0vl1
- updated to 4.4.20

* Sun Mar 21 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.50-0vl1
- updated to 4.3.50

* Thu Jan 15 2004 Tomoya TAKA <taka@vinelinux.org> 4.3.38-0vl2
- add BuildRequires: perl-XML-Parser

* Thu Jan 15 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.38-0vl1
- new upstream release.
- exec scrolkeeper-update %post and %postun section

* Tue Dec 09 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 4.3.29-0vl1
- initial release.

