Name:           gedit-developer-plugins
Version:        0.5.14
Release:        1%{?_dist_release}
Summary:        Plugins that provides additional editing, checking, and project management features to Gedit
Summary:        Gedit に付加的な編集・チェッキング・プロジェクト管理機能を提供するプラグイン

Group:          Applications/Editors
License:        GPLv2
URL:            https://launchpad.net/gdp
Source0:        http://launchpad.net/gdp/0.5.x/%{version}/+download/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  gedit-devel >= 3.2.0
BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection-devel >= 1.30.0
BuildRequires:  gtksourceview3-devel
Buildrequires:  libpeas-devel >= 1.2.0
BuildRequires:  intltool >= 0.35.0
BuildRequires:  perl >= 5.8.1
BuildRequires:  perl-XML-Parser
BuildRequires:  python-devel
BuildRequires:  pygobject3-devel
BuildRequires:  python-pocket-lint

Requires:       gedit >= 3.2.0

BuildArch:  noarch

%description
Gedit Developer Plugins provides additional editing,
checking, and project management features to Gedit.

* Multi-file find and replace
* Syntax completion
* Formatting
* Project management via Bazaar DVCS


%description -l ja
Gedit Developer Plugins は付加的な編集・チェッキング・
プロジェクト管理機能を Gedit に提供します。

* 複数ファイル検索と置換
* 構文補完
* フォーマット化
* Bazaar DVCS を介したプロジェクト管理

%prep
%setup -q

%build
%configure --without-home --prefix=/usr
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README
%{_libdir}/gedit/plugins/*
%{_datadir}/gtksourceview-3.0/*

%changelog
* Thu Apr 26 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.14-1
- new upstream release

* Wed Mar 14 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.13-1
- new upstream release

* Wed Feb 29 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.12-1
- new upstream release

* Fri Feb 17 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.11-1
- new upstream release

* Sat Feb 04 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.9-1
- new upstream release

* Sun Jan 15 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.6-1
- new upstream release
- added Buildrequires: libpeas-devel >= 1.2.0
- deleted BuildRequires: gtk2-devel, pygtk2-devel >= 2.14
- changed BuildRequires
  - gobject-introspection-devel >= 0.10.2 to 1.30.0
  - gedit-devel >= 3.2.0
- changed Requires: gedit >= 3.0.1 to 3.2.0

* Sat Oct 15 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.4-1
- new upstream release
- changed BuildRequires: gedit-devel >= 3.1.2 to gedit-devel >= 3.1.4,
  BuildRequires: pygobject-devel >= 2.28 to pygobject3-devel

* Sat Aug 27 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.1-1
- new upstream release
- added BuildRequires: gobject-introspection-devel >= 0.10.2, pygobject-devel >= 2.28
- changed BuildRequires
  - gtksourceview2-devel to gtksourceview3-devel
  - gedit-devel >= 2.29.0 to gedit-devel >= 3.0.1
- changed Requires
  - gedit >= 2.29.0 to gedit >= 3.0.1
- fixed %%files

* Thu Jun 09 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.7-1
- new upstream release

* Wed May 4 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.6-1
- new upstream release

* Tue Jan 25 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.4-1
- new upstream release

* Sat Aug 21 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.3-2
- changed %%{_prefix}/lib/gedit-2/plugins/* in %files
- changed noarch
- changed BuildRequires: python-pocket-lint

* Mon Aug 16 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.3-1
- initial build for VineSeed
