%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define glib2_version 2.30.0
%define pango_version 1.28.4
%define gtk3_version 3.2.0
%define libgnome_version 2.32.0
%define gnome_panel_version 3.2.0
%define libgtop2_version 2.28.2
%define gnome_desktop3_version 3.2.0
%define libxklavier_version 5.0
%define libwnck3_version 3.0.0
%define gnome_doc_utils_version 0.3.2
%define hal_version 0.5.9
%define gst_plugins_base_version 0.10.30
%define libgnomekbd_version 3.2.0
%define libgweather_version 3.2.0
%define gnome_utils_version 3.2.0
%define dbus_version 1.4.16
%define dbus_glib_version 0.96
%define libnotify_version 0.7.4
%define gnome_icon_theme_version 3.2.0
%define gucharmap_version 3.2.0

%define po_package gnome-applets-3.0


Summary:        Small applications for the GNOME panel.
Summary(ja):    GNOME パネル用の小さなアプリケーション(GNOMEパネルアプレット)
Name:     	gnome-applets
Version: 	3.2.1
Release:        2%{?_dist_release}
License:	GPL
Group:          User Interface/Desktops
URL:		http://www.gnome.org/

Source: 	http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.2/%{name}-%{version}.tar.xz
Source10:	cpufreq-selector.app
Source11:	cpufreq-selector.pam

Patch2:		gnome-applets-2.23.3-use-builtin-apm.patch

# http://bugzilla.gnome.org/show_bug.cgi?id=424639
Patch31:        gnome-applets-2.18.0-fix-find.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires(post,postun): scrollkeeper >= 0.1.4

BuildRequires:  gnome-common
BuildRequires:  glib2-devel >= %{glib2_version}
BuildRequires:  gtk3-devel >= %{gtk3_version}
BuildRequires:  libgnome-devel >= %{libgnome_version}
BuildRequires:  gnome-panel-devel >= %{gnome_panel_version}
BuildRequires:  libgtop2-devel >= %{libgtop2_version}
BuildRequires:  pango-devel >= %{pango_version}
BuildRequires:  gnome-desktop3-devel >= %{gnome_desktop3_version}
BuildRequires:  gnome-settings-daemon-devel
BuildRequires:  libxklavier-devel >= %{libxklavier_version}
BuildRequires:  libwnck3-devel >= %{libwnck3_version}
BuildRequires:  gnome-doc-utils >= %{gnome_doc_utils_version}
BuildRequires:  libxml2-python
BuildRequires:  gstreamer-plugins-base-devel >= %{gst_plugins_base_version}
BuildRequires:  libgnomekbd-devel >= %{libgnomekbd_version}
BuildRequires:  gnome-utils >= %{gnome_utils_version}
## BuildRequires:  hal-devel >= %{hal_version}
BuildRequires:  libnotify-devel >= %{libnotify_version}
BuildRequires:  dbus-devel >= %{dbus_version}
BuildRequires:  dbus-glib-devel >= %{dbus_glib_version}
BuildRequires:  xorg-x11-proto-devel
# for patch 39
BuildRequires:  NetworkManager-devel
BuildRequires:  libgweather-devel >= %{libgweather_version}
# For cpufreq
BuildRequires:  dbus-devel
BuildRequires:	polkit-devel
BuildRequires:  gnome-icon-theme >= %{gnome_icon_theme_version}
BuildRequires:  gucharmap-devel >= %{gucharmap_version}
BuildRequires:  libSM-devel
BuildRequires:  pygtk2-devel

Requires:	gnome-panel >= %{gnome_panel_version}
Requires:	gnome-desktop3 >= %{gnome_desktop3_version}
Requires:	libxklavier >= %{libxklavier_version}
Requires:	libwnck3 >= %{libwnck3_version}
## Requires:	hal >= %{hal_version}
Requires:	gstreamer-plugins-base >= %{gst_plugins_base_version}
Requires:	polkit-gnome
Obsoletes:      battstat_applet

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-applets package provides
small utilities for the GNOME panel.

%prep

%setup -q
%patch2 -p1 -b .use-builtin-apm

## %patch31 -p1 -b .fix-find

%build

intltoolize --force
autoreconf

%configure --disable-scrollkeeper \
	   --enable-mini-commander
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{po_package} --all-name --with-gnome

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper
rm -f $RPM_BUILD_ROOT%{_libdir}/*.*a

# drop non-XKB support files
rm -rf $RPM_BUILD_ROOT%{_datadir}/xmodmap

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
scrollkeeper-update -q > /dev/null 2>&1 || :

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule                                        \
	    %{_sysconfdir}/gconf/schemas/battstat.schemas                  \
	    %{_sysconfdir}/gconf/schemas/charpick.schemas                  \
	    %{_sysconfdir}/gconf/schemas/cpufreq-applet.schemas            \
	    %{_sysconfdir}/gconf/schemas/drivemount.schemas                \
	    %{_sysconfdir}/gconf/schemas/geyes.schemas                     \
	    %{_sysconfdir}/gconf/schemas/gweather.schemas                  \
	    %{_sysconfdir}/gconf/schemas/mini-commander-global.schemas     \
	    %{_sysconfdir}/gconf/schemas/mini-commander.schemas            \
	    %{_sysconfdir}/gconf/schemas/stickynotes.schemas               \
	    %{_sysconfdir}/gconf/schemas/multiload.schemas > /dev/null
%{_libexecdir}/gnome-applets/mc-install-default-macros >& /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule                                    \
	    %{_sysconfdir}/gconf/schemas/battstat.schemas                  \
	    %{_sysconfdir}/gconf/schemas/charpick.schemas                  \
	    %{_sysconfdir}/gconf/schemas/cpufreq-applet.schemas            \
	    %{_sysconfdir}/gconf/schemas/drivemount.schemas                \
	    %{_sysconfdir}/gconf/schemas/geyes.schemas                     \
	    %{_sysconfdir}/gconf/schemas/gswitchit.schemas                 \
	    %{_sysconfdir}/gconf/schemas/gweather.schemas                  \
	    %{_sysconfdir}/gconf/schemas/mini-commander-global.schemas     \
	    %{_sysconfdir}/gconf/schemas/mini-commander.schemas            \
	    %{_sysconfdir}/gconf/schemas/stickynotes.schemas               \
	    %{_sysconfdir}/gconf/schemas/multiload.schemas >& /dev/null || :
  if [ -f %{_sysconfdir}/gconf/schemas/mixer.schemas ]; then
     gconftool-2 --makefile-uninstall-rule \
            %{_sysconfdir}/gconf/schemas/mixer.schemas >& /dev/null || :
  fi
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule                                    \
	    %{_sysconfdir}/gconf/schemas/battstat.schemas                  \
	    %{_sysconfdir}/gconf/schemas/charpick.schemas                  \
	    %{_sysconfdir}/gconf/schemas/cpufreq-applet.schemas            \
	    %{_sysconfdir}/gconf/schemas/drivemount.schemas                \
	    %{_sysconfdir}/gconf/schemas/geyes.schemas                     \
	    %{_sysconfdir}/gconf/schemas/gweather.schemas                  \
	    %{_sysconfdir}/gconf/schemas/mini-commander-global.schemas     \
	    %{_sysconfdir}/gconf/schemas/mini-commander.schemas            \
	    %{_sysconfdir}/gconf/schemas/stickynotes.schemas               \
	    %{_sysconfdir}/gconf/schemas/multiload.schemas >& /dev/null || :
fi

%postun 
/sbin/ldconfig
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi


%files -f %{po_package}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README

%{_datadir}/pixmaps/*
%{_datadir}/gnome-applets
%{_datadir}/icons/hicolor/*/apps/*
%{_bindir}/*
%{python_sitelib}/invest/*
%{_libexecdir}/*
%{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/sound
%{_sysconfdir}/dbus-1/system.d/org.gnome.CPUFreqSelector.conf
%{_datadir}/dbus-1/system-services/org.gnome.CPUFreqSelector.service
%{_datadir}/dbus-1/services/org.gnome.panel.applet.*.service
%{_datadir}/gnome-panel/4.0/applets/*.panel-applet
%{_datadir}/polkit-1/actions/org.gnome.cpufreqselector.policy

%changelog
* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-2
- remove BuildRequires: gnome-python-applets, gnome-python-devel
- remove Requires: gnome-python-applets, gnome-python-libegg

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release
- add BuildRequires: gnome-settings-daemon-devel

* Thu Sep 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release
- change BuildRequires: polkit-devel instead of polkit-gnome-devel

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.90-1
- new upstream release

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.5-1
- new upstream release

* Tue Aug 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- new upstream release
- add BuildRequires: pygtk2-devel

* Sat Dec 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1.1-1
- new upstream release

* Mon Oct 04 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release
- change BuildRequires: gnome-panel-devel instead of gnome-panel
- fix %files

* Sat Apr 10 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- drop Patch31
- remove BuildRequires: hal-devel
- remove Requires: hal
- add BuildRequires: gnome-icons-theme, gucharmap-devel, libSM-devel

* Fri Feb 05 2010 Shu KONNO <owa@bg.wakwak.com> 2.28.0-2
- rebuilt with python-2.6.4-3

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.0-1
- new upstream release
- added BR: polkit-gnome-devel (instead of PolicyKit-gnome-devel)

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3-1
- new upstream release

* Tue Jun 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release

* Tue Mar 24 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.26.0-3
- use builtin copy of apmlib instead of adding an external dependency
  (from RH bugzilla #155125)

* Tue Mar 24 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-2
- fix %%pre/%%post/%%preun scripts
  - mixer applet is removed.

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Wed Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Tue Oct 14 2008 Ryoiochi INAGAKI <ryo1@bc.wakwak.com> 2.24.0.1-3
- removed BuildRequires: gail-devel
- fixed typo at %%define gnome_python_version

* Mon Oct 13 2008 Shu KONNO <owa@bg.wakwak.com> 2.24.0.1-2
- built with gucharmap-2.24.0

* Fri Sep 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0.1-1
- new upstream release

* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Tue Jul 29 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.3-1
- new upstream release

* Thu Apr 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release
- added BuildRequires: libgweather-devel

* Mon Mar 31 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release

* Sun Jan 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.1-0vl1
- new upstream release

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0-0vl1
- new upstream release

* Sat Jun 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl1
- new upstream release

* Fri Apr 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Mon Mar 13 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.90-0vl1
- new upstream release

* Fri Dec 09 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.12.2-0vl1
- new upstream release
- drop obsolete patch0

* Sun Oct 16 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.12.1-0vl2
- add BuildRequires:
  - gnome-desktop-devel, libxklavier-devel, libwnck-devel, gnome-doc-utils,
    system-tools-backends, libxml2-python, hal-devel, gstreamer-plugins-devel
- add Requires:
  - gnome-desktop-libs, libxklavier, libwnck, hal, gstreamer-plugins
- add patch0 to fix mixer2 applet
  - cf. http://bugzilla.gnome.org/show_bug.cgi?id=316922

* Thu Oct 06 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Sun Aug 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.91-0vl1
- new upstream release

* Thu Aug 04 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.2-0vl1
- new upstream release

* Fri Jul 22 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.1-0vl3
- rebuild

* Wed Apr 13 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.1-0vl2
- fixed %%post script

* Mon Apr 11 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.1-0vl1
- new upstream release

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Sat Feb 26 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.2-0vl1
- new upstream release
- fixed %post section

* Mon Nov 08 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1.1-0vl1
- new upstream release

* Mon Nov  8 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.2-0vl3
- rebuild with libgtop2-2.8.1

* Wed Apr 21 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.2-0vl2
- rebuild with openssl-0.9.7d

* Fri Oct  3 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.2-0vl1
- new upstream release
- dropped Source10

* Fri Oct  3 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.1-0vl1
- new upstream release

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.90-0vl1
- new upstream release

* Wed Jun 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.2-0vl1
- new upstream release

* Tue May 06 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release

* Tue Jan 28 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.2.0-0vl3
- clause BuildRequires: apmd  with %%ifnarch %%{no_apm_archs}

* Mon Jan 27 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl2
- disable panelmenu again
- update ja.po

* Mon Jan 27 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release
- remove obsolete patch
- clean up specs.

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.3-0vl1
- new upstream release

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.1-0vl1
- build for Vine Linux
- new upstream release from gnome-2.1.4

* Tue Aug 27 2002 Owen Taylor <otaylor@redhat.com>
- Register the cd player per-device (#72645).

* Fri Aug 23 2002 Owen Taylor <otaylor@redhat.com>
- Keep the CD device closed except when actually accessing it
  (bugzilla.gnome.org 91512)
- Register CD player so we can start only one CD player
  for display from magicdev. (#39208)

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- add ppc ppc64 to no_apm_arches #67564

* Wed Jul 31 2002 Nalin Dahyabhai <nalin@redhat.com>
- include applets in libexecdir

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- 2.0.1, and build with new gail
- 69971 (use correct ppp on/off commands)
- remove scrollkeeper dtd-compliance patch, 
  fixed upstream apparently (patch doesn't apply anymore)

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Fix %%find_lang

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libs
- remove temporary hack for too-old libgnomeui
- add /etc/sound stuff to file list

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in different environment

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- fix a scrollkeeper validation bug

* Wed Jun 12 2002 Havoc Pennington <hp@redhat.com>
- remove panel-menu.schemas from the list of schemas.
- 2.0.0

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.105.0

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.103.0

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.100.0

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- GNOME 2 version

* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- merge translations

* Thu Apr 11 2002 Havoc Pennington <hp@redhat.com>
- default battstat applet to vertical mode

* Thu Mar 21 2002 Havoc Pennington <hp@redhat.com>
- add patch to adapt to yahoo web site changes, #61561

* Tue Mar  5 2002 Havoc Pennington <hp@redhat.com>
- remove requires libghttp4

* Mon Mar  4 2002 Havoc Pennington <hp@redhat.com>
- no apm on sparc, #60538
- obsolete battstat_applet for Ximian compat, #51427
- use ifup/ifdown ppp0 instead of pppon/pppoff for default 
  ppp command in modemlights, #54199

* Tue Feb 12 2002 Havoc Pennington <hp@redhat.com>
- 1.4.0.5, cross fingers
- add gconf-devel buildreq, though this is dubious as hell
  (pulled in by gtik using gnome-vfs, but if gtik actually
   accessed gconf it would fail due to gnorba conflict)
- patch totally busted charpick Makefile.am cflags override

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- automake14

* Thu Aug 30 2001 Alex Larsson <alexl@redhat.com>
- Removed annoying broken battery full dialog #52861
- Also fix mixer applet for USB sound #52603

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Wed Aug 15 2001 Alexander Larsson <alexl@redhat.com>
- Own /usr/share/gnome/gkb and /usr/share/gnome/help/*

* Wed Jul 18 2001 Havoc Pennington <hp@redhat.com>
- add some build requires
- remove ifarch build requires, replace with check in setup

* Wed Jul 11 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- sanitize specfile to RH style
- do not require apmd for s390 s390x

* Mon Jul  9 2001 Jonathan Blandford <jrb@redhat.com>
- new version

* Sun Jul 08 2001 Havoc Pennington <hp@redhat.com>
- remove extra .desktop file for battstat

* Sat Jul 07 2001 Havoc Pennington <hp@redhat.com>
- add battstat applet
- rearrange .desktop files for applets

* Tue Jun 12 2001 Than Ngo <than@redhat.com>
- fix isdn stuff to build against kernel-2.4.x
- use %%{_tmppath}

* Mon Jun 11 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- allow newer gettext versions

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Mon Feb 12 2001 Akira TAGOH <tagoh@redhat.com>
- Updated Japanese translation (ja.po, .desktop).
  Note: Please remove Source[23]: when release the next upstream version.

* Fri Jan 19 2001 Havoc Pennington <hp@redhat.com>
- 1.2.4

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Update Epoch

* Wed Jul 19 2000 Jonathan Blandford <jrb@redhat.com>
- Change slashapp to gnome-news app.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Owen Taylor <otaylor@redhat.com
- %%defattr fixes
- Remove Docdir:

* Thu Jun 15 2000 Havoc Pennington <hp@redhat.com>
- 1.2.1
- use %%makeinstall
