%define glib2_version 2.32.0
%define pango_version 1.30.0
%define gtk3_version 3.4.0
%define gconf2_version 3.2.5
%define startup_notification_version 0.10

%define po_package gnome-desktop-3.0

Summary: Package containing code shared among gnome-panel, gnome-session, nautilus, etc.
Summary(ja): gnome-panel, gnome-session, nautilus などの共用プログラム
Name: gnome-desktop3
Version: 3.4.0
Release: 1%{?_dist_release}
URL: http://www.gnome.org/
Source0: http://ftp.gnome.org/pub/GNOME/sources/gnome-desktop/3.4/gnome-desktop-%{version}.tar.xz
License: GPL 
Group: User Interface/Desktops

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

BuildRoot: %{_tmppath}/%{name}-%{version}-root

# Requires for Vine
Requires: ibus-gtk3
Requires: gnome-icon-theme-symbolic
Requires: gnome-themes-standard
Requires: gsettings-desktop-schemas

Requires(post,postun): scrollkeeper
Obsoletes: gnome-core gnome-core-devel
Provides: gnome-core

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk3-devel >= %{gtk3_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: startup-notification-devel >= %{startup_notification_version}
BuildRequires: libXrandr-devel
BuildRequires: autoconf, automake
BuildRequires: gnome-doc-utils
BuildRequires: docbook-utils
BuildRequires: gsettings-desktop-schemas-devel

%description

The gnome-desktop package contains an internal library
(libgnomedesktop3) used to implement some portions of the GNOME
desktop, and also some data files and other shared components of the
GNOME user environment.

%package devel
Summary: Libraries and headers for libgnome-desktop
Summary(ja): libgnome-desktop の開発用ライブラリおよびヘッダファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

Requires: glib2-devel >= %{glib2_version}
Requires: gtk3-devel >= %{gtk3_version}
Requires: GConf2-devel >= %{gconf2_version}
Requires: startup-notification-devel >= %{startup_notification_version}

%description devel

Libraries and header files for the GNOME-internal private library 
libgnomedesktop

%prep
%setup -q -n gnome-desktop-%{version}

%build
%configure --with-gnome-distributor="Project Vine" --disable-scrollkeeper
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig
scrollkeeper-update

%postun 
/sbin/ldconfig
scrollkeeper-update


%files -f %{po_package}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*
%{_libdir}/girepository-1.0/GnomeDesktop-3.0.typelib
%{_datadir}/libgnome-desktop-3.0
%{_datadir}/gnome/*
%{_datadir}/omf/*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/gir-1.0/GnomeDesktop-3.0.gir
%{_datadir}/gtk-doc

%changelog
* Sun Apr 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0-1
- new upstream release
- change BuildRequires: gsettings-desktop-schemas-devel instead of gsettings-desktop-schemas

* Fri Oct 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Wed Sep 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release

* Sun Sep 18 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.91-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.90.1-1
- new upstream release

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.5-1
- new upstream release

* Thu Aug 18 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- initial build for Vine Linux
