%define glib2_version 2.30.0
%define pango_version 1.28.4
%define gtk3_version 3.2.0
%define gnome_panel_version 3.2.0
%define gtop2_version 2.28.2
%define canberra_version 0.28
%define desktop_file_utils_version 0.17

%define po_package gnome-utils-3.0

Summary: GNOME utility programs.
Summary(ja): GNOME ユーティリティプログラム
Name: gnome-utils
Version: 3.2.1
Release: 1%{?_dist_release}
License: GPLv2+
Group: Applications/System
URL: http://www.gnome.org

Source: http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.2/%{name}-%{version}.tar.xz
# End testing
Patch2: gnome-utils-2.26.0-gdate.patch


BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:  glib2-devel >= %{glib2_version}
BuildRequires:  pango-devel >= %{pango_version}
BuildRequires:  gtk3-devel >= %{gtk3_version}
BuildRequires:  gnome-panel-devel >= %{gnome_panel_version}
BuildRequires:  libgtop2-devel >= %{gtop2_version}
BuildRequires:  libcanberra-gtk3-devel >= %{canberra_version}
BuildRequires:  desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires:  GConf2-devel >= 2.14
BuildRequires:  libbonoboui-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	libSM-devel
BuildRequires:	gsettings-desktop-schemas
Obsoletes: gnome
Obsoletes: baobab
Provides: baobab

Requires(post): scrollkeeper
Requires(post): desktop-file-utils >= %{desktop_file_utils_version} 
Requires(post): GConf2 >= 2.14
Requires(preun): GConf2 >= 2.14
Requires(pre): GConf2 >= 2.14

Requires(postun): scrollkeeper
Requires(postun): desktop-file-utils >= %{desktop_file_utils_version} 
Requires:  libbonoboui
Requires:  libICE
Requires:  libSM

Requires: gnome-screenshot = %{version}-%{release}

Vendor: Project Vine
Distribution: Vine Linux

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-utils package
includes a set of small "desk accessory" utility applications for GNOME
such as a calculator.


%package devel
Summary:        Development environment for gnome-utils
Summary(ja):    gnome-utilsの開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       gtk3-devel

%description devel
Header files and libraries for building a extension library for the
gnome-utils.


%package -n gnome-screenshot
Summary: gnome screenshot utility
Summary(ja): GNOMEスクリーンショットユーティリティ
Group: Applications/System
Conflicts: gnome-utils < 2.26.0-2vl5

%description -n gnome-screenshot
This package contains GNOME screenshot utility.

%description -n gnome-screenshot -l ja
このパッケージには GNOME 用のスクリーンショットユーティリティが
含まれています。

%prep
%setup -q

# fix help link
sed -i "s/ghelp:user-guide#goseditmainmenu-53/ghelp:gnome-help#screen-shot-record/" \
	gnome-screenshot/gnome-screenshot.c

# Hide from menus
#pushd gsearchtool
#echo "NoDisplay=true" >> gnome-search-tool.desktop.in
#popd

%build
%configure --disable-scrollkeeper --disable-schemas-install
# Start testing
sed -i "s/ it ko / it ja ko /" gsearchtool/help/Makefile
# End testing
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# make gnome-system-log use consolehelper until it starts using polkit
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
/bin/cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/pam.d/gnome-system-log
#%%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
/bin/cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/gnome-system-log
USER=root
PROGRAM=/usr/sbin/gnome-system-log
SESSION=true
FALLBACK=true
EOF

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
/bin/mv $RPM_BUILD_ROOT%{_bindir}/gnome-system-log $RPM_BUILD_ROOT%{_sbindir}
/bin/ln -s /usr/bin/consolehelper $RPM_BUILD_ROOT%{_bindir}/gnome-system-log

sed -i -e "s/accessories-dictionary\.png/accessories-dictionary/" \
    $RPM_BUILD_ROOT%{_datadir}/applications/gnome-dictionary.desktop

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --copy-generic-name-to-name				    \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-baobab.desktop

# save space by linking identical images in translated docs
for n in baobab gnome-dictionary gnome-search-tool gnome-system-log; do
  helpdir=$RPM_BUILD_ROOT%{_datadir}/gnome/help/$n
  for f in $helpdir/C/figures/*.png; do
    b="$(basename $f)"
    for d in $helpdir/*; do
      if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
        g="$d/figures/$b"
        if [ -f "$g" ]; then
          if cmp -s $f $g; then
            rm "$g"; ln -s "../../C/figures/$b" "$g"
          fi
        fi
      fi
    done
  done
done


## delete, duplicates file roller
/bin/rm -rf $RPM_BUILD_ROOT%{_bindir}/archive-generator
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/*archive-generator*
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/help/archive-generator
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/omf/gnome-utils/*archive-generator*

/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.*a

/bin/rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

# blow scrollkeeper crap
/bin/rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
/bin/rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

%find_lang %{po_package} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
scrollkeeper-update -q
update-desktop-database -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
/sbin/ldconfig
scrollkeeper-update -q
update-desktop-database -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{po_package}.lang
%defattr(-, root, root)
%{_sysconfdir}/security/console.apps/*
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/lib*.so.*
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/applications/*
%{_datadir}/baobab/
%{_datadir}/gnome-dictionary/
%{_datadir}/gnome-utils/
%{_datadir}/icons/hicolor/*
%{_datadir}/gdict-1.0/
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/pixmaps/*
%{_datadir}/thumbnailers/gnome-font-viewer.thumbnailer
%{_mandir}/man*/*

%exclude %{_datadir}/glib-2.0/schemas/org.gnome.gnome-screenshot.gschema.xml
%exclude %{_bindir}/gnome*screenshot
%exclude %{_datadir}/applications/gnome-screenshot.desktop
%exclude %{_datadir}/locale/ja/LC_MESSAGES/*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_includedir}/gdict-1.0
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/*

%files -n gnome-screenshot
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/gnome*screenshot
%{_datadir}/applications/gnome-screenshot.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-screenshot.gschema.xml
%{_datadir}/gnome-screenshot/
%{_datadir}/locale/ja/LC_MESSAGES/*


%changelog
* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Thu Sep 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel
- remove Source2,3,4

* Sat Sep 24 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.1.92-2
- update translation. (test)
- fixed help uri of gnome-screenshot.
- show menu item of gnome-search-tool.

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.90-1
- new upstream release

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.5-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.2-1
- new upstream release
- add BuildRequires: gsettings-desktop-schemas
- change BuildRequires: libcanberra-gtk3-devel instead of libcanberra-devel
- drop Patch2

* Fri Dec 10 2010 Yoji TOTYODA <bsyamato@sea.plala.or.jp> 2.32.0-5
- create -devel sub package

* Tue Nov 09 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.32.0-3
- fixed translation.

* Sun Nov 07 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.32.0-2
- fixed translation.

* Mon Oct 04 2010 Yoji TOTYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-2
- rebuild with rpm-4.8.1 for pkg-config file
- change BuildRequires: gnome-panel-devel instead of gnome-panel

* Sun Apr 04 2010 Yoji TOTYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Wed Mar 10 2010 Yoji TOTYODA <bsyamato@sea.plala.or.jp> 2.28.3-1
- new upstream release

* Tue Dec 15 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.28.1-3
- add GConf2-devel, libbonoboui-devel, gnome-doc-uitls, libICE-devel, libSM-devel to BR.
- add libbonoboui, libICE, libSM to Requires.

* Tue Dec 15 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.28.1-2
- add Patch2.(http://bts.vinelinux.org/guest.cgi?action=view_report&id=853&project=VineLinux)

* Sun Nov  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.1-1
- new upstream release

* Tue Jun 09 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-4
- add BR: libgtop2-devel
- remove BR: libgnomeprintui-devel
- install/uninstall gnome-system-log.schemas in scriptlet

* Tue Apr 14 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-3
- split gnome-screenshot from main package
- add missing 'done' in %%preun scriptlet

* Tue Mar 24 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-2
- fix %%pre/%%post/%%preun scripts
  - logview is removed

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Wed Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 2.20.0.1-1vl5
- applied new versioning policy, spec in utf-8

* Wed Jan  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.0.1-0vl1
- new upstream release
- added %pre and %preun and %postun section

* Wed May 02 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl1
- new upstream release
- Patch2 to fix broken strings in baobab.
  - check_UTF8() breaks non-UTF8 strings on non-UTF8 locale.

* Wed May 02 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0-0vl1
- new upstream release

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0-0vl1
- new upstream release
- add Obsoletes:/Provides: baobab, that is now included in gnome-utils

* Fri Jan 19 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.14.0-0vl3
- rebuilt fot VineSeed

* Fri Jan 19 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.14.0-0vl2.1
- add patch1 for fix floppy issue <BTS:457> (Thanks to micky_hatya-san)
- add BuildRequires:  gnome-desktop-devel, libgnomeprintui-devel
- add Vendor/Distribution tag

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl2
- rename gdict.schemas to gnome-dictionary.schemas
- add gnome-screenshot.schemas

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.93-0vl1
- new upstream release

* Sat Dec 31 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.2-0vl1
- new upstream release
- add Patch10 to fix crash bug in gnome-screenshot
  (http://bugzilla.gnome.org/show_bug.cgi?id=319188)

* Thu Oct 06 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Mon Jul 11 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.1-0vl1
- new upstream release
- build with hal

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Mon Nov 08 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl1
- new upstream release

* Thu Jan 15 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.1-0vl1
- new upstream release

* Mon Nov 17 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.0-0vl2
- fixed spec file character code EUC-JP

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Thu Sep 04 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.90-0vl1
- new upstream release

* Tue Aug 26 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.3-0vl1
- new upstream release

* Sun May 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release

* Tue Jan 28 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0.3-0vl1
- new upstream release

* Sat Jan 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0.1-0vl1
- new upstream release

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release
- include gnome-system-log

* Thu Jan 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl1
- new upstream release

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- new upstream release

* Wed Dec 25 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl1
- build for Vine Linux

* Tue Sep  3 2002 Matt Wilson <msw@redhat.com>
- corrected the return code 3 gdialog dialog types

* Wed Aug 28 2002 Tim Waugh <twaugh@redhat.com>
- Fix gnome-calculator key bindings (bug #67885).

* Thu Aug 15 2002 Havoc Pennington <hp@redhat.com>
- enable gdialog by popular demand
- build require e2fsprogs-devel so gfloppy builds
- patch for #70258 (locate doesn't notice new files)

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 2.0.2

* Thu Aug  1 2002 Havoc Pennington <hp@redhat.com>
- build require newer versions of things
- 2.0.1
- remove gnome-system-log and more thoroughly remove archive-generator

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- remove archive-generator, duplicates file-roller

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Fix find_lang

* Wed Jun 19 2002 Havoc Pennington <hp@redhat.com>
- disable schema install in make install, fixes rebuild

* Mon Jun 17 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- use desktop-file-install

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- move to GNOME 2 version

* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- merge translations

* Tue Mar  5 2002 Havoc Pennington <hp@redhat.com>
- put gdialog back since the nautilus scripts fad has everyone asking for it,
  #54415
- depend on automake-1.4 binary instead of automake14
- strip trailing newline from data in guname, #52598
- build requires libglade-devel

* Tue Feb  5 2002 Bill Nottingham <notting@redhat.com>
- get rid of weird binary names

* Wed Jan 30 2002 Jonathan Blandford <jrb@redhat.com>
- Rebuild package.

* Mon Jan 21 2002 Havoc Pennington <hp@redhat.com>
- automake14
- /usr/foo to bindir etc.
- use makeinstall and configure macros
- patch for glade header move

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Apr 19 2001 Jonathan Blandford <jrb@redhat.com>
- new version

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Fri Feb 23 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- use %%{_tmppath}
- move changelog to end of file
- langify, remember to run %%find_lang twice as there
  are two different sets of locale files

* Thu Feb 08 2001 Owen Taylor <otaylor@redhat.com>
- Fix missing gfloppy.keys, gfloppy.mime files

* Mon Jan 29 2001 Havoc Pennington <hp@redhat.com>
- add dialog-prefs.glade file which was missing from upstream tarball; 
  fixes #25036

* Fri Jan 19 2001 Havoc Pennington <hp@redhat.com>
- 1.2.1
- remove patch for gdict segfault, fixed upstream
- remove logview, cromagnon, gdiskfree, gstripchart, 
  splash, gdialog, gw, idetool
- run automake so removals take effect

* Mon Aug 21 2000 Havoc Pennington <hp@redhat.com>
- patch from Tim Waugh to fix segfault on cancel in the settings
  dialog; bug 16477
- put in an error dialog if no DNS, bug 16475

* Mon Aug 21 2000 Havoc Pennington <hp@redhat.com>
- Put gcolorsel glade files in the file list, closes
  14314

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Sat Aug 05 2000 Havoc Pennington <hp@redhat.com>
- Use mail not mailx in guname, bug 14316

* Mon Jul 17 2000 Havoc Pennington <hp@redhat.com>
- remove Docdir

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Elliot Lee <sopwith@redhat.com>
- 1.2.0

* Fri May 19 2000 Havoc Pennington <hp@redhat.com>
- Add gfloppy .glade file to file list

* Fri May 19 2000 Havoc Pennington <hp@redhat.com>
- 1.1.0; remove man pages glob from file list (upstream no 
  longer comes with man pages)

* Thu May 11 2000 Matt Wilson <msw@redhat.com>
- 1.0.51

* Mon Feb 14 2000 Elliot Lee <sopwith@redhat.com>
- Add -mieee to CFLAGS to fix bug #9346.

* Fri Feb 04 2000 Owen Taylor <otaylor@redhat.com>
- minor patch to fix up size requisition in guname

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to pick up gzipped man page

* Thu Feb 3 2000 Jonathan Blandford <jrb@redhat.com>
- added patch to allow negative time to gtt.

* Sun Aug 1 1999 Dax Kelson <dax@gurulabs.com>
- version 1.0.12

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- removed gshutdown (confusing for newbies)

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.6

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.1

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.30

* Mon Apr  6 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-utils CVS source tree
