Summary: Set of document centric objects and utilities for glib/gtk
Name: goffice
Version: 0.8.17
Release: 1%{?_dist_release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/goffice/0.8/%{name}-%{version}.tar.bz2
Patch0: goffice-0.6.6-pcre_path.patch

License: GPL
Group: System Environment/Libraries
URL: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel >= 2.6.3
BuildRequires: glib2-devel >= 2.8.0
BuildRequires: libgnomeprint-devel >= 2.8.2
BuildRequires: libgsf-devel >= 1.13.1
BuildRequires: libglade2-devel
BuildRequires: libxml2-devel
BuildRequires: libart_lgpl-devel 
BuildRequires: perl-XML-Parser
BuildRequires: pcre-devel

%description
There are common operations for document centric applications that are
conceptually simple, but complex to implement fully.
    - plugins
    - load/save documents
    - undo/redo

%package devel
Summary: Development files of the Goffice library.
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: gtk2-devel >= 2.6.30
Requires: glib2-devel >= 2.8.0
Requires: libgnomeprint-devel >= 2.8.2
Requires: libgsf-devel >= 1.13.1
Requires: libglade2-devel
Requires: libxml2-devel
Requires: libart_lgpl-devel 

%description devel
Development files of the Goffice library.

%prep
%setup -q
## %patch0 -p1 -b .pcre

%build
%configure --with-gnome --with-cairo
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -rf $RPM_BUILD_ROOT%{_libdir}/lib*.la

%find_lang %{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}-%{version}.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS BUGS ChangeLog MAINTAINERS
%{_libdir}/lib*.so.*
%{_libdir}/goffice/%{version}
%{_datadir}/goffice/%{version}
%{_datadir}/pixmaps/goffice

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.so
#{_libdir}/lib*.a
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/goffice-0.8

%changelog
* Wed Aug 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.17-1
- new upstream release

* Sat Apr 09 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.14-1
- new upstream release

* Sat Feb 05 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.13-1
- new upstream release

* Thu Dec 09 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.12-1
- new upstream release

* Sat Oct 16 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.11-1
- new upstream release

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.10-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sun Sep 12 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.10-1
- new upstream release

* Mon Aug 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.9-1
- new upstream release

* Sun Aug 15 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.8-1
- new upstream release
- drop Patch0

* Mon Jul 19 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.7-1
- new upstream release

* Wed Jun 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.6-1
- new upstream release

* Thu Apr 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.2-1
- new upstream release

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.1-1
- new upstream release

* Sun Feb 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.0-1
- new upstream release

* Sun Jul 26 2009 NAKAMURA Kenta <kenta@vinelinux.org> 0.6.6-1
- new upstream release

* Sun Nov 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.5-1
- new upstream release

* Mon May 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.4-1
- new upstream release

* Thu Apr 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.2-1vl5
- new upstream release
- removed lib*.la from devel package 

* Sat Mar  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.2-0vl1
- new upstream release
- rebuilt with libgsf-1.14.8

* Sat Dec 29 2007 NAKAMURA Kenta <kenta@vinelinux.org> 0.4.3-0vl1
- new upstream release

* Sun Dec 02 2007 NAKAMURA Kenta <kenta@vinelinux.org> 0.2.2-0vl1
- new upstream release

* Sat Jun 17 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.2.1-0vl2
- rebuild

* Thu May  4 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.1-0vl1
- new upstream release
- updated ja.po (%SOURCE1)

* Sun Mar 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.0-0vl1
- new upstream release
- rebuilt with libgsf-1.14.0
- updated ja.po (%SOURCE1)

* Fri Nov 18 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.2-0vl2
- updated ja.po %{SOURCE1}

* Thu Nov 17 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.2-0vl1
- rebuild for Vine Linux
- updated ja.po %{SOURCE1}

* Thu Sep 08 2005 Gotz Waschk <waschk@mandriva.org> 0.0.4-1mdk
- New release 0.0.4

* Fri Sep  2 2005 Gotz Waschk <waschk@mandriva.org> 0.0.3-2mdk
- rebuild to remove glitz dep

* Tue Aug 16 2005 Gotz Waschk <waschk@mandriva.org> 0.0.3-1mdk
- bump deps
- New release 0.0.3

* Mon Aug 01 2005 Marcel Pol <mpol@mandriva.org> 0.0.2-1mdk
- 0.0.2

* Wed May 18 2005 Gotz Waschk <waschk@mandriva.org> 0.0.1-2mdk
- fix buildrequires

* Tue May 10 2005 Gotz Waschk <waschk@mandriva.org> 0.0.1-1mdk
- initial package
