%define ver	0.10

%define pkg_version 0.10.10
%define pkg_release 1%{?_dist_release}

Summary:	C++ bindings for the GStreamer.
Summary(ja):	GStreamer 用 C++ バインディング
Name:		gstreamermm
Version:	%{pkg_version}
Release:	%{pkg_release}
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gstreamermm/0.10/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		System Environment/Libraries 
URL:		http://gstreamer.freedesktop.org/bindings/cplusplus.html

BuildRequires:	gstreamer-plugins-base-devel >= 0.10.32
BuildRequires:	libxml++-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
gstreamermm provides C++ bindings for the GStreamer streaming multimedia library.
With gstreamermm it is possible to develop applications that work with multimedia
in C++. For instance, see Gst::Element, Gst::Bin and Gst::Pipeline.


%package devel
Summary:	Development tools for gstreamermm.
Summary(ja):	gstreamermm 用 開発ツール
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig
Requires:	gstreamer-plugins-base-devel
Requires:	libxml++-devel
Requires:	glibmm-devel

%description devel
Header files and libraries for building a extension library for the gstreamermm.


%prep
%setup -q


%build
%configure --disable-static
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_libdir}/libgstreamermm-%{ver}.so.*
%{_libdir}/libgstreamermm_get_plugin_defs-%{ver}.so.*
%{_libdir}/%{name}-%{ver}/*
%{_docdir}/%{name}-%{ver}/*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}-%{ver}/*
%{_libdir}/libgstreamermm-%{ver}.so
%{_libdir}/libgstreamermm_get_plugin_defs-%{ver}.so
%{_libdir}/pkgconfig/%{name}-%{ver}.pc
%{_datadir}/devhelp/books/%{name}-%{ver}/*


%changelog
* Sun Oct 09 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.10-1
- new upstream release

* Sun Jan 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.8-1
- initial build for Vine Linux

