%define pkgname LibreOffice
%define version	3.5.1
%ifarch %{ix86}
%define	uarch	x86
%define	pkgarch	x86
%define	rpmarch	i586
%endif
%ifarch x86_64
%define	uarch	x86_64
%define	pkgarch	x86-64
%define	rpmarch x86_64
%endif

%define baseurl \{http://download.documentfoundation.org,http://mirrors.vinelinux.org\}/libreoffice/stable/%{version}/rpm/%{uarch}
%define dlurl \\\
	%{baseurl}/LibO_%{version}_Linux_%{pkgarch}_install-rpm_en-US.tar.gz \\\
	%{baseurl}/LibO_%{version}_Linux_%{pkgarch}_langpack-rpm_ja.tar.gz \\\
	%{baseurl}/LibO_%{version}_Linux_%{pkgarch}_helppack-rpm_ja.tar.gz

Summary:	Package to assist installation of %{pkgname}
Summary(ja): 	%{pkgname} のインストールを補助するパッケージ
Name:		install-assist-%{pkgname}
Version:	%{version}
Release: 	1%{?_dist_release}
License:	LGPLv3
Group:		Applications/Productivity

ExclusiveArch:	%{ix86} x86_64
# Requires(posttrans) not yet implemented. So we use (post) instead.
Requires(post):	self-build-setup >= 0.9.0
Requires:	glibc >= 2.5
Requires:	gtk2 >= 2.10.4
Requires:	libgnome >= 2.16
#Requires:	libgail-gnome >= 1.8.6
Requires:	at-spi >= 1.7

# Needs JAVA VM <BTS:1168>
Requires:	java-1.6.0

# We have to specify previous version with "Conflicts:" 
# to make smart upgrading. See [VineSeed:20565]. 
# Conflicts:	openoffice.org-core <= 2.4.1-5vl5
Obsoletes:	openoffice.org < 3.0
Obsoletes:	openoffice.org-base < 3.0
Obsoletes:	openoffice.org-calc < 3.0
Obsoletes:	openoffice.org-core < 3.0
Obsoletes:	openoffice.org-devel < 3.0
Obsoletes:	openoffice.org-draw < 3.0
Obsoletes:	openoffice.org-emailmerge < 3.0
Obsoletes:	openoffice.org-graphicfilter < 3.0
Obsoletes:	openoffice.org-headless < 3.0
Obsoletes:	openoffice.org-i18n < 3.0
Obsoletes:	openoffice.org-impress < 3.0
Obsoletes:	openoffice.org-libs < 3.0
Obsoletes:	openoffice.org-math < 3.0
Obsoletes:	openoffice.org-pyuno < 3.0
Obsoletes:	openoffice.org-sdk < 3.0
Obsoletes:	openoffice.org-sdk-doc < 3.0
Obsoletes:	openoffice.org-testtools < 3.0
Obsoletes:	openoffice.org-writer < 3.0
Obsoletes:	openoffice.org-xsltfilter < 3.0
# Conflicts:	ooobasis3.1-core01 openoffice.org3.1-freedesktop-menus
# Conflicts:	ooobasis3.2-core01 openoffice.org3.2-freedesktop-menus 
# Conflicts:	openoffice.org-ure
Obsoletes:	openoffice.org3 < 3.3
Obsoletes:	openoffice.org3-ja < 3.3
Obsoletes:	ooobasis3.1-ja < 3.3, ooobasis3.2-ja < 3.3
Obsoletes:	ooobasis3.1-ja-base < 3.3, ooobasis3.2-ja-base < 3.3
Obsoletes:	ooobasis3.1-ja-calc < 3.3, ooobasis3.2-ja-calc < 3.3
Obsoletes:	ooobasis3.1-ja-draw < 3.3, ooobasis3.2-ja-draw < 3.3
Obsoletes:	ooobasis3.1-ja-help < 3.3, ooobasis3.2-ja-help < 3.3
Obsoletes:	ooobasis3.1-ja-impress < 3.3, ooobasis3.2-ja-impress < 3.3
Obsoletes:	ooobasis3.1-ja-math < 3.3, ooobasis3.2-ja-math < 3.3
Obsoletes:	ooobasis3.1-ja-res < 3.3, ooobasis3.2-ja-res < 3.3
Obsoletes:	ooobasis3.1-ja-writer < 3.3, ooobasis3.2-ja-writer < 3.3
Obsoletes:	ooobasis3.1-images < 3.3, ooobasis3.2-images < 3.3
Obsoletes:	ooobasis3.1-core01 < 3.3, ooobasis3.2-core01 < 3.3
Obsoletes:	ooobasis3.1-core02 < 3.3, ooobasis3.2-core02 < 3.3
Obsoletes:	ooobasis3.1-core03 < 3.3, ooobasis3.2-core03 < 3.3
Obsoletes:	ooobasis3.1-core04 < 3.3, ooobasis3.2-core04 < 3.3
Obsoletes:	ooobasis3.1-core05 < 3.3, ooobasis3.2-core05 < 3.3
Obsoletes:	ooobasis3.1-core06 < 3.3, ooobasis3.2-core06 < 3.3
Obsoletes:	ooobasis3.1-core07 < 3.3, ooobasis3.2-core07 < 3.3
Obsoletes:	ooobasis3.1-base < 3.3, ooobasis3.2-base < 3.3
Obsoletes:	ooobasis3.1-calc < 3.3, ooobasis3.2-calc < 3.3
Obsoletes:	ooobasis3.1-draw < 3.3, ooobasis3.2-draw < 3.3
Obsoletes:	ooobasis3.1-impress < 3.3, ooobasis3.2-impress < 3.3
Obsoletes:	ooobasis3.1-math < 3.3, ooobasis3.2-math < 3.3
Obsoletes:	ooobasis3.1-writer < 3.3, ooobasis3.2-writer < 3.3
Obsoletes:	openoffice.org3-base < 3.3
Obsoletes:	openoffice.org3-calc < 3.3
Obsoletes:	openoffice.org3-draw < 3.3
Obsoletes:	openoffice.org3-impress < 3.3
Obsoletes:	openoffice.org3-writer < 3.3
Obsoletes:	openoffice.org3-math < 3.3
Obsoletes:	ooobasis3.1-gnome-integration < 3.3, ooobasis3.2-gnome-integration < 3.3
Obsoletes:	ooobasis3.1-ja-binfilter < 3.3, ooobasis3.2-ja-binfilter < 3.3
Obsoletes:	ooobasis3.1-binfilter < 3.3, ooobasis3.2-binfilter < 3.3
Obsoletes:	ooobasis3.1-graphicfilter < 3.3, ooobasis3.2-graphicfilter < 3.3
Obsoletes:	ooobasis3.1-javafilter < 3.3, ooobasis3.2-javafilter < 3.3
Obsoletes:	ooobasis3.1-ooofonts < 3.3, ooobasis3.2-ooofonts < 3.3
Obsoletes:	ooobasis3.1-pyuno < 3.3, ooobasis3.2-pyuno < 3.3
Obsoletes:	ooobasis3.1-ooolinguistic < 3.3, ooobasis3.2-ooolinguistic < 3.3
Obsoletes:	openoffice.org-ure <= 1.6.1
Obsoletes:	openoffice.org3.1-freedesktop-menus < 3.3, openoffice.org3.2-freedesktop-menus < 3.3

Obsoletes:	install-assist-Go-oo < 3.3

Obsoletes:	libobasis3.3-core01 < 3.4
Obsoletes:	libreoffice3-ure <= 1.7.0
Obsoletes:	libreoffice3.3-freedesktop-menus < 3.4
Obsoletes:	libobasis3.4-core01 < 3.5
Obsoletes:	libreoffice3.4-ure < 3.5
Obsoletes:	libreoffice3.4-freedesktop-menus < 3.5
# Obsoletes:	libobasis3.5-core01 < 3.6
# Obsoletes:	libreoffice3.5-ure < 3.6
# Obsoletes:	libreoffice3.5-freedesktop-menus < 3.6

Packager:	kazutaka, munepi

%description
LibreOffice is the free power-packed Open Source personal productivity 
suite for Windows, Macintosh and Linux, that gives you six feature-rich 
applications for all your document production and data processing needs: 
Writer, Calc, Impress, Draw, Math and Base. 

If you install this package, it automaticaly downloads 
required files to install %{pkgname}.
And the downloaded files are automatically installed if 
installation is executed by apt-get command or synaptic
package manager.

%description -l ja
LibreOffice は自由でかつオープンソースのオフィススイートです。
Windows、Macintosh、Linux を始めとする多くのプラットフォームで動作します。
文書の作成やデータの処理のお役に立ちます豊富な機能を備えた6つの
アプリケーションを提供します:
Writer、Calc、Impress、Draw、Math、Base です。

このパッケージをインストールすると、自動的に %{pkgname}
のインストールに必要な rpm ファイルをダウンロードします。
また apt-get コマンドや synapticパッケージマネージャから実行
した場合は、ダウンロードした rpm ファイルのインストールも自
動的に行います。

%posttrans
#set -x
## setup
. /etc/self-build.conf
tmp=$(mktemp -d ${TEMP_DIR}/%{name}.XXXXXX)
QUEDIR=/var/cache/self-build
[ ! -d ${QUEDIR} ] && %__mkdir_p ${QUEDIR}

(cd ${tmp}
    ## If exists cached tarballs, copy them into ${tmp}
    if [ "${CACHE_DOWNLOADED_FILES}" = "yes" ]; then
       for i in %{dlurl}; do 
       	   [ -f ${QUEDIR}/$(basename $i) ] && %__cp -af ${QUEDIR}/$(basename $i) ${tmp}; done
    fi
    ## download the official built tarballs
    wget -N %{dlurl}

    ## extract them
    for i in %{dlurl}; do %__tar xf $(basename $i); done

    ## copy including rpms
    %__cp -af $(find -name "*.%{rpmarch}.rpm") ${QUEDIR}
    %__cp -af $(find -name "*freedesktop-menus*.rpm") ${QUEDIR}

    if [ "${CACHE_DOWNLOADED_FILES}" = "yes" ]; then
       for i in %{dlurl}; do 
       	   [ -f ${QUEDIR}/$(basename $i) ] || %__cp -af $(basename $i) ${QUEDIR}; 
       done
    fi
)
%__rm -rf ${tmp}

%files

%changelog
* Thu Mar 22 2012 Munehiro Yamamoto <munepi@vinelinux.org> 3.5.1-1
- new upstream release

* Thu Feb 16 2012 Munehiro Yamamoto <munepi@vinelinux.org> 3.5.0-1
- new upstream release

* Tue Jan 17 2012 Munehiro Yamamoto <munepi@vinelinux.org> 3.4.5-1
- new upstream release

* Wed Nov  9 2011 Munehiro Yamamoto <munepi@vinelinux.org> 3.4.4-1
- new upstream release

* Sun Oct 16 2011 Munehiro Yamamoto <munepi@vinelinux.org> 3.4.3-2
- dropped Requires: libgail-gnome >= 1.8.6

* Sat Sep 03 2011 Munehiro Yamamoto <munepi@vinelinux.org> 3.4.3-1
- new upstream release

* Tue Aug 02 2011 Munehiro Yamamoto <munepi@vinelinux.org> 3.4.2-1
- new upstream release

* Fri Jul 22 2011 Munehiro Yamamoto <munepi@vinelinux.org> 3.4.1-2
- added Requires: java-1.6.0 <BTS:1168>

* Wed Jul 06 2011 Munehiro Yamamoto <munepi@vinelinux.org> 3.4.1-1
- new upstream release

* Sat Jun 11 2011 Munehiro Yamamoto <munepi@vinelinux.org> 3.4.0-1
- new upstream release

* Sun Apr 03 2011 Munehiro Yamamoto <munepi@vinelinux.org> 3.3.2-1
- initial build
