Name:           lxpanel
Version:        0.5.8
Release:        1%{?_dist_release}
Summary:        A lightweight X11 desktop panel
Summary(ja):    軽量な X11 デスクトップパネル

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz

Patch1:         lxpanel-default.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Vendor:         Project Vine
Distribution:   Vine Linux

Requires:  menu-cache
Requires:  lxmenu-data

BuildRequires:  alsa-lib-devel
#BuildRequires:  docbook2X
#BuildRequires:  docbook-utils
BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libXmu-devel
BuildRequires:  libXpm-devel
BuildRequires:  libtool
BuildRequires:  menu-cache-devel >= 0.3.0
BuildRequires:  startup-notification-devel
BuildRequires:  wireless-tools-devel

%description
lxpanel is a lightweight X11 desktop panel. It works with any ICCCM / NETWM 
compliant window manager (eg sawfish, metacity, xfwm4, kwin) and features a 
tasklist, pager, launchbar, clock, menu and sytray.

%description -l ja
lxpanel は軽量な X11 デスクトップパネルです。ICCCM / NETWM 準拠の
ウィンドウマネージャ（例 sawfish, metacity, xfwm4, kwin）で動作し、
タスクリスト・ページャ・起動バー・時計・メニュー、そしてシステムトレイを特徴とします。

%package devel
Group: Development/Libraries
Summary: Development files for %{name}
Summary(ja): lxpanel の開発パッケージ
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel
Requires:       libXpm-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%description devel -l ja
%{name}-devel パッケージは lxpanel を使うアプリケーションの
開発のためのライブラリとヘッダファイルを含んでいます。

%prep
%setup -q
%patch1 -p1 -b .default


%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/lxpanel*
%{_datadir}/lxpanel/
%{_libdir}/lxpanel/
%{_mandir}/man1/lxpanel*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/lxpanel
%{_includedir}/lxpanel/plugin.h
%{_libdir}/pkgconfig/lxpanel.pc

%changelog
* Sat Jul 30 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.5.8-1
- new upstream release
- dropt patch4

* Thu Jul 28 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.5.7-1
- new upstream release
- dropt patch2,3
- added patch4 from Ubuntu Oneiric
- added BuildRequires: glib2-devel, libtool
- dropt BuildRequires: docbook2X, docbook-utils

* Tue Sep 28 2010 Shu KONNO <owa@bg.wakwak.com> 0.5.6-2
- rebuilt with rpm-4.8.1 for pkg-config

* Thu Jul 29 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.5.6-1
- new upstream version: 0.5.6
- added patch2,3 from Debian

* Mon May 10 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.5.5-4
- recreated patch1
- added BuildRequires:  wireless-tools-devel

* Sat Mar 6 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.5.5-3
- rebuilt with menu-cache-0.3.2
- changed BuildRequires:  menu-cache-devel >= 0.3.0

* Sat Feb 27 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.5.5-2
- rebuilt with menu-cache-0.3.1

* Thu Feb 18 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.5.5-1
- new upstream version: 0.5.5

* Mon Dec 14 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.5.4.1-1
- new upstream version: 0.5.4.1
- dropt Patch2

* Wed Sep 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.5.3-1
- new upstream version: 0.5.3

* Thu Aug 6 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.5.2-1vl5
- new upstream version: 0.5.2

* Mon Aug 3 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.5.1-1vl5
- new upstream version: 0.5.1
- renumbered Patch

* Thu Jul 30 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.5.0-1vl5
- new upstream version: 0.5.0
- dropt Patch2
- renumbered Patch

* Sun Jun 21 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.1-3vl5
- changed Group to Development/Libraries in devel package
- updated description in devel package
- cleaned up spec
- renumbered Patch
- added devel package Requires: gtk2-devel, libXpm-devel
- added devel package Requires: %{name} = %{version}-%{release}

* Tue Jun 2 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.1-2vl5
- dropt Patch7
- cleaned up spec

* Fri May 8 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.1-1vl5
- new upstream version: 0.4.1
- dropt Patch5,8
- spec in UTF-8

* Thu Apr 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.0-2vl5
- added Patch8 (import from LXDE tracker)

* Tue Apr 21 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.0-1vl5
- new upstream version: 0.4.0
- dropt Source1,2 and Patch4
- updated Pacth1,2
- renamed Patch7: vine-configurator.patch
- added Requires:  menu-cache, lxmenu-data
- added BuildRequires:  docbook2X

* Fri Apr 3 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.3.999-4vl5
- added Patch7
  - to fix gdk_screen_width()
- added BuildRequires: menu-cache-devel, alsa-lib-devel
  - to build menu plugin

* Fri Mar 27 2009 IWAI, Masaharu <iwai@alib.jp> 0.3.999-3
- replace ja.po: from upstream repository
- add Vendor and Distribution tags for Vine Linux

* Thu Mar 26 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.3.999-2vl5
- fixed %description (missed -devel package description)
- updated ja.po
- added Patch6 (from Mandriva Package)
- added -devel package Summary(ja)

* Mon Mar 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.3.999-1vl5
- initial build for VineSeed (import from Fedora package)
- imported Patch3 (gtk-run.c.diff, from openSUSE)
- added Patch4 (from LXDE tracker,http://sourceforge.net/tracker/index.php?func=detail&aid=2585404&group_id=180858&atid=894869)
- added Patch5 (from LXDE tracker,http://sourceforge.net/tracker/index.php?func=detail&aid=2655536&group_id=180858&atid=894871)
- splitted -devel package (refer to openSUSE)
- added ja.po

* Thu Aug 28 2008 Sebastian Vahl <fedora@deadbabylon.de> 0.3.8.1-2
- re-create patches for rpmbuild's fuzz=0

* Tue Jul 08 2008 Sebastian Vahl <fedora@deadbabylon.de> 0.3.8.1-1
- new upstream version: 0.3.8.1

* Fri Jul 04 2008 Sebastian Vahl <fedora@deadbabylon.de> 0.3.8-1
- new upstream version: 0.3.8
- new BR in this version: intltool

* Sun Jun 15 2008 Sebastian Vahl <fedora@deadbabylon.de> 0.3.7-1
- new upstream version: 0.3.7

* Mon May 05 2008 Sebastian Vahl <fedora@deadbabylon.de> 0.3.5.4-1
- new upstream version: 0.3.5.4
- update lxpanel-default.patch

* Sun Mar 31 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.2.9.0-1
- new upstream version: 0.2.9.0

* Wed Mar 26 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.2.8-2
- BR: docbook-utils

* Thu Mar 20 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.2.8-1
- new upstream version: 0.2.8
- add lxpanel-0.2.8-manpage.patch

* Thu Mar 13 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.2.7.2-1
- new upstream version: 0.2.7.2
- update lxpanel-default.patch

* Mon Feb 25 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.2.6-1
- new upstream version: 0.2.6
- update lxpanel-default.patch

* Sat Feb 09 2008 Sebastian Vahl <fedora@deadbabylon.de> - 0.2.4-6
- rebuild for new gcc-4.3

* Thu Aug 16 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.2.4-5
- Change License to GPLv2+

* Mon Jan 08 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.2.4-4
- Fixed some minor issues from the review process (#219930)

* Sun Dec 17 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.2.4-3
- BR: startup-notification-devel
- Added Patch1 from Chung-Yen to fix wrong starters in default config
- Removed pcmanfm.desktop from the default config for the moment

* Fri Dec 01 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.2.4-2
- BR: gettext

* Wed Nov 29 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.2.4-1
- New upstream version: 0.2.4

* Sun Nov 05 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.2.2-1
- New upstream version: 0.2.1

* Fri Nov 03 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.2.0-1
- New upstream version: 0.2.0

* Wed Oct 25 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.1.1-2
- Rebuild for FC6

* Thu Oct 14 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.1.1-1
- Initial Release
