Summary:	Map view for Clutter
Summary(ja):	Clutter用のマップビューア
Name:		libchamplain
Version:	0.12.2
Release:	1%{?_dist_release}
License:	LGPLv2+
Group: System Environment/Libraries
URL: http://projects.gnome.org/libchamplain/
Source0: http://download.gnome.org/sources/libchamplain/0.12/%{name}-%{version}.tar.xz

Requires: gobject-introspection

BuildRequires: clutter-devel
BuildRequires: clutter-gtk-devel
BuildRequires: libsoup-devel
BuildRequires: sqlite3-devel
BuildRequires: gtk-doc >= 1.14
BuildRequires: gobject-introspection-devel >= 0.6.8

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

%description -l ja
Libchamplain はラスタライズされたマップを表示するために ClutterActor を提供することを目的とした C ライブラリです。

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries

Requires:	gobject-introspection-devel
Requires:	gtk-doc
Requires:	clutter-devel
Requires:	sqlite3-devel
Requires:	libsoup-devel
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%package gtk
Summary:	Gtk+ widget wrapper for %{name}
Group:		System Environment/Libraries

Requires:	%{name} = %{version}-%{release}

%description gtk
Libchamplain-gtk is a library providing a GtkWidget to embed %{name}
into Gtk+ applications.

%package gtk-devel
Summary:	Development files for %{name}-gtk
Group:		Development/Libraries

Requires:	gtk-doc
Requires:	clutter-gtk-devel
Requires:	gtk2-devel
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gtk = %{version}-%{release}

%description gtk-devel
This package contains development files for %{name}-gtk.

%prep
%setup -q

%build
%configure --disable-debug --disable-static --enable-gtk --enable-gtk-doc \
  --enable-introspection=yes --enable-silent-rules

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -delete

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post gtk -p /sbin/ldconfig

%postun gtk -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc NEWS
%{_libdir}/girepository-1.0/Champlain-0.12.typelib
%{_libdir}/%{name}-0.12.so.*
%{_datadir}/vala/vapi/*

%files devel
%defattr(-,root,root,-)
%doc demos/animated-marker.c
%doc demos/launcher.c
%doc demos/markers.c
%doc demos/markers.h
%doc demos/polygons.c
%doc demos/url-marker.c
%{_datadir}/gir-1.0/Champlain-0.12.gir
%{_libdir}/%{name}-0.12.so
%{_libdir}/pkgconfig/champlain-0.12.pc

%dir %{_datadir}/gtk-doc/html/libchamplain
%doc %{_datadir}/gtk-doc/html/libchamplain/*

%dir %{_includedir}/%{name}-0.12
%{_includedir}/%{name}-0.12/champlain

%files gtk
%defattr(-,root,root,-)
%{_libdir}/girepository-1.0/GtkChamplain-0.12.typelib
%{_libdir}/%{name}-gtk-0.12.so.*

%files gtk-devel
%defattr(-,root,root,-)
%doc demos/launcher-gtk.c
%doc demos/markers.c
%{_datadir}/gir-1.0/GtkChamplain-0.12.gir
%{_libdir}/%{name}-gtk-0.12.so
%{_libdir}/pkgconfig/champlain-gtk-0.12.pc

%dir %{_datadir}/gtk-doc/html/libchamplain-gtk
%doc %{_datadir}/gtk-doc/html/libchamplain-gtk/*

%dir %{_includedir}/%{name}-gtk-0.12
%{_includedir}/%{name}-gtk-0.12/champlain-gtk

%changelog
* Sat Apr 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.2-1
- new upstream release

* Wed Dec 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.1-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.0-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.1-1
- new upstream release
- add Requires: sqlite3-devel, libsoup-devel (-devel package)

* Tue Oct 19 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.0-2
- add Requires: sqlite3-devel, libsoup-devel (-devel package)
- add Requires: gtk2-devel (-gtk-devel package)

* Mon Oct 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.0-1
- new upstream release
- remove BuildRequires: gir-repository-devel
- fix %files (change version)

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.7-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Aug 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.7-1
- new upstream release

* Mon Jun 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.6-1
- new upstream release

* Sun Apr 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.5-1
- new upstream release
- fix BuildRequires: gtk-doc >= 1.14
- add Requires: clutter-devel (devel package)
- add Requires: clutter-gtk-devel (gtk-devel package)

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.4-1
- Initial build for Vine Linux
- add BuildRequires: sqlite3-devel, gtk-doc, gobject-introspection


* Thu Oct 29 2009 Debarshi Ray <rishi@fedoraproject.org> - 0.4.2-1
- Version bump to 0.4.2.
  * Fixed acceptable values of "decel-rate". (GNOME Bugzilla #595552)
  * Fixed GObject Introspection build failure. (GNOME Bugzilla #598942)
  * http://download.gnome.org/sources/libchamplain/0.4/libchamplain-0.4.2.news
  * http://download.gnome.org/sources/libchamplain/0.4/libchamplain-0.4.2.changes

* Mon Oct 19 2009 Debarshi Ray <rishi@fedoraproject.org> - 0.4.1-1
- Version bump to 0.4.1.
  * Added champlain_view_remove_layer.
  * ChamplainSelectionLayer now has a "changed" signal.
  * Added champlain_marker_get_highlighted_text_color,
    champlain_marker_set_highlighted_text_color and
    Added champlain_marker_get_highlighted_color.
  * Fixed slowdowns with big caches.
  * Don't emit invalid latitude and longitude notifications.
  * Ensure map is displayed in Eye of GNOME's champlain plugin. (GNOME
    Bugzilla #598106)
  * http://download.gnome.org/sources/libchamplain/0.4/libchamplain-0.4.1.news
  * http://download.gnome.org/sources/libchamplain/0.4/libchamplain-0.4.1.changes

- Enabled GObject Introspection, and added 'Requires: gobject-introspection'
  and 'BuildRequires: gir-repository-devel'. Patched to fix build failure.
  (GNOME Bugzilla #598942)
- Explicitly disabled debug code.
- RPaths fixed by upstream. Removed 'BuildRequires: chrpath'.

* Mon Sep 21 2009 Debarshi Ray <rishi@fedoraproject.org> - 0.4.0-1
- Version bump to 0.4.0.
  * ChamplainView now has keyboard shortcuts (but not when used with
    GtkChamplainEmbed).
  * Removed deprecated symbols introduced in 0.3.
  * Fixed X error when using GtkChamplainEmbed. (GNOME Bugzilla #590692)
  * Events were not being sent until the mouse moved. (GNOME Bugzilla #590727)
  * Fixed memory leak in ChamplainLayer. (GNOME Bugzilla #593505)
  * Initial center_on should not result on the map being in Antarctica.
    (GNOME Bugzilla #594963)
  * http://download.gnome.org/sources/libchamplain/0.3/libchamplain-0.3.92.news
  * http://download.gnome.org/sources/libchamplain/0.3/libchamplain-0.3.92.changes

* Mon Aug 24 2009 Matthias Clasen <mclasen@redhat.com> - 0.3.91-1
- Version bump to 0.3.91.
  * http://download.gnome.org/sources/libchamplain/0.3/libchamplain-0.3.91.news

* Tue Aug 11 2009 Matthias Clasen <mclasen@redhat.com> - 0.3.90-1
- Version bump to 0.3.90.
  * http://download.gnome.org/sources/libchamplain/0.3/libchamplain-0.3.90.news
  * http://download.gnome.org/sources/libchamplain/0.3/libchamplain-0.3.90.changes

* Mon Aug  3 2009 Matthias Clasen <mclasen@redhat.com> - 0.3.6-1
- Version bump to 0.3.6.
  * New marker animation API.
  * Ported to Clutter 1.0. (GNOME Bugzilla #576391)
  * http://download.gnome.org/sources/libchamplain/0.3/libchamplain-0.3.6.news
  * http://download.gnome.org/sources/libchamplain/0.3/libchamplain-0.3.6.changes

* Sat Aug 02 2009 Debarshi Ray <rishi@fedoraproject.org> - 0.3.5-1
- Version bump to 0.3.5.
  * Marker selection API. (GNOME Bugzilla #577909)
  * http://download.gnome.org/sources/libchamplain/0.3/libchamplain-0.3.5.news
  * http://download.gnome.org/sources/libchamplain/0.3/libchamplain-0.3.4.news
  * http://download.gnome.org/sources/libchamplain/0.3/libchamplain-0.3.5.changes
  * http://download.gnome.org/sources/libchamplain/0.3/libchamplain-0.3.4.changes

* Fri Jul 24 2009 Release Engineering <rel-eng@fedoraproject.org> - 0.3.3-2
- Autorebuild for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Debarshi Ray <rishi@fedoraproject.org> - 0.3.3-1
- Version bump to 0.3.3.
  * Support for custom map sources and listing available map sources.
  * Smooth movement to a new position. (GNOME Bugzilla #557641)
  * Keep the center of the map in the center after a resize. (GNOME Bugzilla
    #557642)
  * Double click to zoom and center. (GNOME Bugzilla #557644)
  * Added a way to know the maximum and minimum zoom level. (GNOME Bugzilla
    #557965)
  * Fixed unwanted wrap effect when panning at zoom level >= 8. (GNOME
    Bugzilla #558020)
  * Fixed center on and zooming in behavior. (GNOME Bugzilla #558026)
  * Lack of user feedback during loading of tiles. (GNOME Bugzilla #559522)
  * Added missing zoom level to OpenStreetMap Mapnik. (GNOME Bugzilla
    #559446)
  * Fixed wrong elastic effect affecting Emapthy's map view. (GNOME Bugzilla
    #561700)
  * Added disk cache management. (GNOME Bugzillla #568931)
  * Host application should be able to limit the maximum and minimum zoom
    levels. (GNOME Bugzilla #571702)
  * Allow host applications to draw lines/routes on the map. (GNOME Bugzilla
    #572377)
  * Support proxies. (GNOME Bugzilla #573937)
  * Provide a way to make visible a bunch of markers. (GNOME Bugzilla #574809)
  * Do not allow negative zoom levels. (GNOME Bugzilla #575138)
  * Fixed corrupted map when double-clicking at maximum level. (GNOME Bugzilla
    #575139)
  * Prevent ChamplainNetworkMapSource from crashing when setting "proxy-uri".
    (GNOME Bugzilla #575902).
  * Implemented advanced markers. (GNOME Bugzilla #576055)
  * Various memory management fixes for ChamplainTile. (GNOME Bugzilla
    #576159)
  * Any go_to should stop a previous and not yet finished go_to. (GNOME
    Bugzilla #576832)
  * Prevent segmentation fault on 32 bit platforms. (GNOME Bugzilla #576698)
  * Introduced a new signal called ChamplainView::animation-completed. (GNOME
    Bugzilla #577169)
  * Set decel-rate correctly. (GNOME Bugzilla #580785)
  * champlain_network_map_source_fill_tile should be private. (GNOME Bugzilla
    #582786)
  * Fixed champlain_view_center_on. (GNOME Bugzilla #583502)
  * Fixed "longitude" and "latitude" properties, which were reversed. (GNOME
    Bugzilla #584365)
  * Make the cache work the first time. (GNOME Bugzilla #584390)
  * GNOME Goal: use accessor functions instead direct access. (GNOME Bugzilla
    #585698)
- Added 'BuildRequires: chrpath' for removing rpaths.

* Wed Mar 18 2009 Debarshi Ray <rishi@fedoraproject.org> - 0.2.9-1
- Version bump to 0.2.9.
  * Fixed elastic effect.
  * Reduced exported symbols.

* Wed Feb 25 2009 Release Engineering <rel-eng@fedoraproject.org> - 0.2.8-3
- Autorebuild for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 28 2009 Debarshi Ray <rishi@fedoraproject.org> - 0.2.8-2
- Removed 'Requires: clutter-devel >= 0.8 pkgconfig' from libchamplain-devel
  for all distributions, except Fedora 10.
- Fixed sample code to not use generic headers.

* Wed Jan 14 2009 Debarshi Ray <rishi@fedoraproject.org> - 0.2.8-1
- Initial build. Imported SPEC from openSUSE.
  * Added a new constructor for ChamplainMarkers made of an image.
  * Double clicking on the map will now zoom and recenter.
  * When resizing a ChamplainView, the centered content will still be
    centered after the resizing. Can be disabled.
  * The Map's license is displayed by default on the lower right corner. 
  * Fixed map centering on startup.
  * Fixed missing zoom level in OpenStreetMap Mapnik.
  * Fixed zooming and centering behaviour. (GNOME Bugzilla #558026)
