Summary:	The MATE Canvas library
Name:		libmatecanvas
Version:	1.1.0
Release:	1%{?_dist_release}
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2
Group:		System Environment/Libraries 
URL:		https://matsusoft.com.ar/projects/mate/

BuildRequires:	mate-common
BuildRequires:	gtk2-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	libglade2-devel
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
This is the non-gui part of the library formerly known as
mate-libs.


%package	devel
Summary:        Development tools for libmatecanvas
Summary(ja):    libmatecanvas の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       gtk2-devel
Requires:       pango-devel

%description devel
Header files and libraries for building a extension library for the
libmatecanvas.


%package        doc
Summary:        Documentation for libmatecanvas
Summary(ja):    libmatecanvas 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation for libmatecanvas.


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static \
	--enable-glade
	
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}-2.0

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}-2.0.lang
%defattr(-,root,root,-)
%doc COPYING.LIB ChangeLog NEWS README
%{_libdir}/libmatecanvas-2.so.*
%{_libdir}/libglade/2.0/libgladematecanvas.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/libmatecanvas-2.0
%{_libdir}/libmatecanvas-2.so
%{_libdir}/pkgconfig/libmatecanvas-2.0.pc


%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/libmatecanvas


%changelog
* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

