Summary:	Library with common API for various MATE modules
Name:		mate-desktop
Version:	1.1.0
Release:	2%{?_dist_release}
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2
Group:		User Interface/Desktops
URL:		https://matsusoft.com.ar/projects/mate/

BuildRequires:	mate-common
BuildRequires:	mate-doc-utils
BuildRequires:	mate-conf-devel
BuildRequires:	gtk2-devel
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires(post,postun):	desktop-file-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
mate-desktop contains the libmate-desktop library, the mate-about
program as well as some desktop-wide documents.


%package	devel
Summary:        Development tools for mate-desktop
Summary(ja):    mate-desktop の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
mate-desktop.


%package        doc
Summary:        Documentation for mate-desktop
Summary(ja):    mate-desktop 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation for mate-desktop.


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static \
	--disable-scrollkeeper

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%{__rm} -rf ${RPM_BUILD_ROOT}%{_datadir}/omf

%find_lang %{name}-2.0


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:

%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:


%files -f %{name}-2.0.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_bindir}/mate-about
%{_libdir}/libmate-desktop-2.so.*
%{_datadir}/applications/mate-about.desktop
%{_datadir}/libmate-desktop/pnp.ids
%{_datadir}/mate/help
%{_datadir}/pixmaps/*
%{_mandir}/man1/mate-about.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/mate-desktop-2.0
%{_libdir}/libmate-desktop-2.so
%{_libdir}/pkgconfig/mate-desktop-2.0.pc

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/mate-desktop


%changelog
* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- change category

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

