Summary:	MATE menu specifications
Name:		mate-menus
Version:	1.1.1
Release:	1%{?_dist_release}
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2
Group:		System Environment/Libraries 
URL:		https://matsusoft.com.ar/projects/mate/

BuildRequires:	mate-common
BuildRequires:	mate-conf-devel
BuildRequires:	gtk2-devel
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
mate-menus contains the libmate-menu library, the layout configuration
files for the MATE menu, as well as a simple menu editor.


%package	devel
Summary:        Development tools for mate-menus
Summary(ja):    mate-menus の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
mate-menus.


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static \
	--disable-scrollkeeper

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_sysconfdir}/xdg/menus/mate-applications.menu
%{_sysconfdir}/xdg/menus/mate-settings.menu
%{_libdir}/libmate-menu.so.*
%{_libdir}/girepository-1.0/MateMenu-2.0.typelib
%{_datadir}/mate/desktop-directories/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/mate-menus
%{_libdir}/libmate-menu.so
%{_libdir}/pkgconfig/libmate-menu.pc
%{_datadir}/gir-1.0/MateMenu-2.0.gir


%changelog
* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.1-1
- initial build for Vine Linux

