Summary:	The MATE Panel
Name:		mate-panel
Version:	1.1.0
Release:	2%{?_dist_release}
Source0:	%{name}-%{version}.tar.xz
Source1:	vine-mate-panel-default-setup.entries
License:	GPLv2
Group:		User Interface/Desktops
URL:		https://matsusoft.com.ar/projects/mate/

BuildRequires:	mate-common
BuildRequires:	mate-doc-utils
BuildRequires:	mate-conf-devel
BuildRequires:	mate-desktop-devel
BuildRequires:	mate-menus-devel
BuildRequires:	libmateweather-devel
BuildRequires:	libmatecomponentui-devel
BuildRequires:	gtk2-devel
BuildRequires:	libSM-devel
BuildRequires:	libcanberra-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libwnck-devel
BuildRequires:	librsvg2-devel
BuildRequires:	evolution-data-server-devel
BuildRequires:	NetworkManager-devel
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires(post,pre,preun):	mate-conf
Requires(post,postun):	desktop-file-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
mate-panel contains the MATE panel, the libmate-panel-applet library and
several applets:

  + the MATE panel is the area on your desktop from which you can run
    applications and applets, and perform other tasks.

  + the libmate-panel-applet library allows to develop small applications
    which may be embedded in the panel. These are called applets.
    Documentation for the API is available with gtk-doc.

  + the applets supplied here include the Workspace Switcher, the Window
    List, the Window Selector, the Notification Area, the Clock and the
    infamous 'Wanda the Fish'.


%package	devel
Summary:        Development tools for mate-panel
Summary(ja):    mate-panel の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
mate-panel.


%package        doc
Summary:        Documentation for mate-panel
Summary(ja):    mate-panel 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation for mate-panel.


%prep
%setup -q

cp -f %{SOURCE1} mate-panel/panel-default-setup.entries

%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--libexecdir=%{_libexecdir}/mate \
	--disable-static \
	--disable-scrollkeeper \
	--enable-introspection \
	--enable-matecomponent

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

export MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
unset MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}-2.0


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post
/sbin/ldconfig

export MATECONF_CONFIG_SOURCE=`mateconftool-2 --get-default-source`

SCHEMAS=" \
  clock.schemas \
  fish.schemas \
  panel-compatibility.schemas \
  panel-default-setup.entries \
  panel-general.schemas \
  panel-global.schemas \
  panel-object.schemas \
  panel-toplevel.schemas \
  window-list.schemas \
  workspace-switcher.schemas"
for S in $SCHEMAS; do
  echo %{_sysconfdir}/mateconf/schemas/$S; done \
  | xargs mateconftool-2 --makefile-install-rule >& /dev/null ||:

mateconftool-2 --direct --config-source=$MATECONF_CONFIG_SOURCE --load %{_sysconfdir}/mateconf/schemas/panel-default-setup.entries > /dev/null || :
mateconftool-2 --direct --config-source=$MATECONF_CONFIG_SOURCE --load %{_sysconfdir}/mateconf/schemas/panel-default-setup.entries /apps/panel > /dev/null || :

update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi

%pre
if [ "$1" -gt 1 ]; then
  export MATECONF_CONFIG_SOURCE=`mateconftool-2 --get-default-source`

  SCHEMAS=" \
    clock.schemas \
    fish.schemas \
    panel-compatibility.schemas \
    panel-default-setup.entries \
    panel-general.schemas \
    panel-global.schemas \
    panel-object.schemas \
    panel-toplevel.schemas \
    window-list.schemas \
    workspace-switcher.schemas"
  for S in $SCHEMAS; do
    echo %{_sysconfdir}/mateconf/schemas/$S; done \
    | xargs mateconftool-2 --makefile-uninstall-rule >& /dev/null ||:
fi

%preun
if [ "$1" -eq 0 ]; then
  export MATECONF_CONFIG_SOURCE=`mateconftool-2 --get-default-source`

  SCHEMAS=" \
    clock.schemas \
    fish.schemas \
    panel-compatibility.schemas \
    panel-default-setup.entries \
    panel-general.schemas \
    panel-global.schemas \
    panel-object.schemas \
    panel-toplevel.schemas \
    window-list.schemas \
    workspace-switcher.schemas"
  for S in $SCHEMAS; do
    echo %{_sysconfdir}/mateconf/schemas/$S; done \
    | xargs mateconftool-2 --makefile-uninstall-rule >& /dev/null ||:
fi

%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi


%files -f %{name}-2.0.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_sysconfdir}/mateconf/schemas/clock.schemas
%{_sysconfdir}/mateconf/schemas/fish.schemas
%{_sysconfdir}/mateconf/schemas/panel-compatibility.schemas
%{_sysconfdir}/mateconf/schemas/panel-default-setup.entries
%{_sysconfdir}/mateconf/schemas/panel-general.schemas
%{_sysconfdir}/mateconf/schemas/panel-global.schemas
%{_sysconfdir}/mateconf/schemas/panel-object.schemas
%{_sysconfdir}/mateconf/schemas/panel-toplevel.schemas
%{_sysconfdir}/mateconf/schemas/window-list.schemas
%{_sysconfdir}/mateconf/schemas/workspace-switcher.schemas
%{_bindir}/mate-desktop-item-edit
%{_bindir}/mate-panel
%{_bindir}/mate-panel-test-applets
%{_bindir}/panel-test-applets-matecomponent
%{_libdir}/libmate-panel-applet-*.so.*
%{_libdir}/girepository-1.0/MatePanelApplet-3.0.typelib
%{_libdir}/mate-panel/modules/libmate-panel-applets-matecomponent.so
%{_libexecdir}/mate/clock-applet
%{_libexecdir}/mate/fish-applet
%{_libexecdir}/mate/mate-panel-add
%{_libexecdir}/mate/notification-area-applet
%{_libexecdir}/mate/wnck-applet
%{_datadir}/applications/mate-panel.desktop
%{_datadir}/dbus-1/services/*.service
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/idl/mate-panel-2.0/MATE_Panel.idl
%{_datadir}/mate/help
%{_datadir}/mate-2.0/ui/MATE_Panel_Popup.xml
%{_datadir}/mate-panel
%{_datadir}/mate-panelrc
%{_datadir}/omf/mate-applet-clock
%{_datadir}/omf/mate-applet-fish
%{_mandir}/man1/mate-panel.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/mate-panel-3.0/
%{_includedir}/panel-2.0/
%{_libdir}/libmate-panel-applet-*.so
%{_libdir}/pkgconfig/libmatepanelapplet-2.0.pc
%{_libdir}/pkgconfig/libmatepanelapplet-3.0.pc
%{_datadir}/gir-1.0/MatePanelApplet-3.0.gir

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/mate-panel-applet


%changelog
* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- change category

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

