Summary:	The MATE Settings daemon
Name:		mate-settings-daemon
Version:	1.1.0
Release:	2%{?_dist_release}
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2
Group:		System Environment/Daemons
URL:		https://matsusoft.com.ar/projects/mate/

BuildRequires:	mate-common
BuildRequires:	mate-conf-devel
BuildRequires:	mate-desktop-devel
BuildRequires:	libmatenotify-devel
BuildRequires:	libmatekbd-devel
BuildRequires:	gtk2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libSM-devel
BuildRequires:	libXxf86misc-devel
BuildRequires:	polkit-devel
BuildRequires:	nss-devel
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires(post,pre,preun):	mate-conf
Requires(post,postun):	desktop-file-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description


%package	devel
Summary:        Development tools for mate-settings-daemon
Summary(ja):    mate-settings-daemon の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
mate-settings-daemon.


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--libexecdir=%{_libexecdir}/mate \
	--disable-static \
	--disable-scrollkeeper

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

export MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
unset MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post
/sbin/ldconfig

export MATECONF_CONFIG_SOURCE=`mateconftool-2 --get-default-source`

SCHEMAS=" \
  apps_mate_settings_daemon_housekeeping.schemas \
  apps_mate_settings_daemon_keybindings.schemas \
  apps_mate_settings_daemon_xrandr.schemas \
  desktop_mate_font_rendering.schemas \
  desktop_mate_keybindings.schemas \
  desktop_mate_peripherals_smartcard.schemas \
  desktop_mate_peripherals_touchpad.schemas \
  mate-settings-daemon.schemas"
for S in $SCHEMAS; do
  echo %{_sysconfdir}/mateconf/schemas/$S; done \
  | xargs mateconftool-2 --makefile-install-rule >& /dev/null ||:

update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi

%pre
if [ "$1" -gt 1 ]; then
  export MATECONF_CONFIG_SOURCE=`mateconftool-2 --get-default-source`

  SCHEMAS=" \
    apps_mate_settings_daemon_housekeeping.schemas \
    apps_mate_settings_daemon_keybindings.schemas \
    apps_mate_settings_daemon_xrandr.schemas \
    desktop_mate_font_rendering.schemas \
    desktop_mate_keybindings.schemas \
    desktop_mate_peripherals_smartcard.schemas \
    desktop_mate_peripherals_touchpad.schemas \
    mate-settings-daemon.schemas"
  for S in $SCHEMAS; do
    echo %{_sysconfdir}/mateconf/schemas/$S; done \
    | xargs mateconftool-2 --makefile-uninstall-rule >& /dev/null ||:
fi

%preun
if [ "$1" -eq 0 ]; then
  export MATECONF_CONFIG_SOURCE=`mateconftool-2 --get-default-source`

  SCHEMAS=" \
    apps_mate_settings_daemon_housekeeping.schemas \
    apps_mate_settings_daemon_keybindings.schemas \
    apps_mate_settings_daemon_xrandr.schemas \
    desktop_mate_font_rendering.schemas \
    desktop_mate_keybindings.schemas \
    desktop_mate_peripherals_smartcard.schemas \
    desktop_mate_peripherals_touchpad.schemas \
    mate-settings-daemon.schemas"
  for S in $SCHEMAS; do
    echo %{_sysconfdir}/mateconf/schemas/$S; done \
    | xargs mateconftool-2 --makefile-uninstall-rule >& /dev/null ||:
fi

%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_sysconfdir}/dbus-1/system.d/org.mate.SettingsDaemon.DateTimeMechanism.conf
%{_sysconfdir}/mateconf/schemas/apps_mate_settings_daemon_housekeeping.schemas
%{_sysconfdir}/mateconf/schemas/apps_mate_settings_daemon_keybindings.schemas
%{_sysconfdir}/mateconf/schemas/apps_mate_settings_daemon_xrandr.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_font_rendering.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_keybindings.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_peripherals_smartcard.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_peripherals_touchpad.schemas
%{_sysconfdir}/mateconf/schemas/mate-settings-daemon.schemas
%{_sysconfdir}/xdg/autostart/mate-settings-daemon.desktop
%{_libdir}/%{name}-%{version}
%{_libexecdir}/mate/mate-settings-daemon
%{_libexecdir}/mate/gsd-locate-pointer
%{_libexecdir}/mate/gsd-datetime-mechanism
%{_datadir}/dbus-1/services/org.mate.SettingsDaemon.service
%{_datadir}/dbus-1/system-services/org.mate.SettingsDaemon.DateTimeMechanism.service
%{_datadir}/icons/mate/*/*/*
%{_datadir}/%{name}
%{_datadir}/mate-control-center/keybindings/50-accessibility.xml
%{_datadir}/polkit-1/actions/org.mate.settingsdaemon.datetimemechanism.policy

%files devel
%defattr(-,root,root,-)
%{_includedir}/mate-settings-daemon
%{_libdir}/pkgconfig/mate-settings-daemon.pc


%changelog
* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- change category

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

