# Note that this is NOT a relocatable package
%define	ver	4.7.5.5
%define	rel	1%{?_dist_release}

Summary:	A user-friendly file manager and visual shell.
Summary(ja):	ユーザ・フレンドリーなファイル・マネージャおよびビジュアル・シェル
Name:		mc
Version:	%{ver}
Release:	%{rel}
LICENSE:	GPL
Group:		System Environment/Shells
URL:		http://www.midnight-commander.org/
BuildRoot:	%{_tmppath}/%{name}-%{PACKAGE_VERSION}-root

BuildRequires:	bison
BuildRequires:	glib2-devel
BuildRequires:	slang-devel
BuildRequires:	libX11-devel
BuildRequires:	gpm-devel
BuildRequires:	groff

Source0:	http://www.midnight-commander.org/downloads/%{name}-%{ver}.tar.bz2

# patch from fedora
Patch0:		mc-mcviewsegfault.patch

Obsoletes:	mcserv < 4.7.4
Obsoletes:	gmc < 4.7.4

%description
Midnight Commander is a visual shell much like a file manager, only
with many more features.  It is a text mode application, but it also
includes mouse support if you are running GPM. Midnight Commander's
coolest features are its abilities to FTP, view tar and zip files, and
to poke into RPMs for specific files.

%description -l ja
Midnight Commanderは単に多くの機能を持つ、まさにファイル・マ
ネージャとしてのビジュアル・シェルです。これはテキスト・モー
ドで動くアプリケーションですが、GPMを動かしている場合、マウス
もサポートしています。Midnight Commanderの最もクールな機能は、
FTP、Tarや ZIP、およびRPM内の特定のファイルへアクセスできるこ
とです。

%prep
%setup -q
%patch0 -p1 -b .segfault

%build
%configure \
	--with-samba \
	--with-gnome \
	--without-debug \
	--with-included-slang

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,pam.d,profile.d,X11/wmconfig}

%makeinstall
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install contrib/mc.*sh $RPM_BUILD_ROOT%{_sysconfdir}/profile.d

%find_lang %name

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)

%doc COPYING NEWS README
%{_bindir}/mc
%{_bindir}/mcedit
#%{_bindir}/mcmfmt
%{_bindir}/mcdiff
%{_bindir}/mcview
%{_mandir}/man1/*
%{_libexecdir}/mc/*
%{_datadir}/mc/*
%{_sysconfdir}/profile.d/*
#%config %{_sysconfdir}/mc/Syntax
#%config %{_sysconfdir}/mc/mc.charsets
#%config %{_sysconfdir}/mc/mc.lib
%config(noreplace) %{_sysconfdir}/mc/mc.ext
%config(noreplace) %{_sysconfdir}/mc/*edit*
%config(noreplace) %{_sysconfdir}/mc/mc.keymap*
%config(noreplace) %{_sysconfdir}/mc/mc.menu*
%config(noreplace) %{_sysconfdir}/mc/*.ini

%changelog
* Sat Oct 08 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.7.5.5-1
- new upstream release

* Thu Dec 30 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.7.5-1
- new upstream release
- fix %%files

* Wed Nov 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.7.4-1
- new upstream release
- fix all BuildRequires and Requires
- fix URL
- remove all old patches
- add Patch0(mc-mcviewsegfault.patch)
- remove mcserv and gmc package
- fix %install and %files

* Wed Oct 13 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.5.54-0vl4
- rebuilt with db4-4.2.52

* Sun Jul 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 4.5.54-0vl3
- merged with Vine26 package.
  * Wed Nov 12 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 4.5.54-0vl2
  - add Patch107 to fix open_new_terminal on desktop

* Wed Jan 15 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.5.54-0vl2
- rebuilt against gnome-libs-1.4.2-0vl2 (for db1/db4 matters)
- modified Patch104 to meet glibc-devel >= 2.2.x

* Tue May  8 2001 Akira TAGOH <tagoh@gnome.gr.jp> 4.5.54-0vl1
- New upstream release.

* Fri Mar 23 2001 Akira TAGOH <tagoh@gnome.gr.jp> 4.5.52-0vl1
- New upstream release.
- Use rpmmacros.
- Added some RH bug fix patch.

* Sun Dec 24 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 4.5.50-0vl4
- rebuilt with ncurses5
- use better macros

* Thu Oct 12 2000 Yoshihiro Kajiki <kajiki@ylug.org> [0vl3]
- add 8bit_clean patch to view/edit Japanese chars

* Fri Jun 19 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- clean up vine-extend patch.
- modified ja.po for 4.5.50

* Fri Jun  9 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- modified vine-extend patch about icon layout.

* Wed Jun  7 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 4.5.50

* Tue May 23 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 4.5.46

* Wed May  3 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- fixed vine-extend patch for some stability.

* Sat Apr 22 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- fixed vine-extend patch for timer initialization for busy coursor.

* Wed Apr 19 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- modified tempnam patch for stability.

* Mon Apr 17 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- modified vine_extend patch to fix URL DnD action again, sorry...

* Sat Apr 15 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- modified vine_extend patch to fix URL DnD action and clean up a little.
- added the special up directory pixmap.
- added ftpfs patch to reconnecte after idle timeout.
- added --with-smbfs option to configure.

* Tue Apr 11 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- modified vine_extend patch to snap and aoto-put icons to better position.
- added gme-client for Gnome 1.1.x

* Sat Apr 8 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- modified vine_extend patch to customize desktop icon appearance and fix dnd.
- added the special home directory pixmap.

* Thu Apr 6 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 4.5.44
- removed kondara's patch
- add fixsh patch from RH6.2
- add kterm and vine_extend and view_fix patch instead of kondara's patch.

* Wed  Feb 23 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added absoluterm.patch from RH6.2beta SRPM.
- added japo patch

* Tue Dec 21 1999 Jun Nishii <jun@vinelinux.org>
- merge kondara patch, thanks kondara

* Wed Dec  8 1999 Yasuyuki Furukawa <yasu@on.cs.keio.ac.jp>
- updated to 4.5.42

* Sat Sep 18 1999 Kazuhito Nishi <nishi@imasy.or.jp>
- First try at a spec file for Vine

