%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:	customizable image viewer that specifically designed to handle comic books
Summary(ja): 	漫画向けに特化してデザインされたカスタム可能なイメージビューワ
Name:		mcomix
Version:	0.98
Release: 	1%{?_dist_release}
Source0:	mcomix-%{version}.tar.bz2
#Source1:	mcomix_ja.po

License:	GPLv2
Group:		Applications/Graphics
URL:		http://mcomix.sourceforge.net/

Requires:	pygtk2 >= 2.12, python-imaging >= 1.1.5, libjpeg-turbo
Requires:	python >= 2.5
Requires:	python-chardet
Requires:	python-setuptools

BuildRequires:	python  >= 2.5
BuildRequires:  python-devel
BuildRequires:	python-setuptools
BuildRequires:	pygtk2-devel python-imaging
BuildRequires:	gettext
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Vendor: Project Vine
Distribution: Vine Linux
Packager: kudoh

%description
MComix is a user-friendly, customizable image viewer. It is specifically 
designed to handle comic books, but also serves as a generic viewer. It 
reads images in ZIP, RAR or tar archives as well as plain image files.
It is written in Python and uses GTK+ through the PyGTK bindings.

%description -l ja
MComix はユーザーフレンドリでカスタマイズ可能なイメージビューワです。
このビューワは漫画を読むのに特化してデザインされていますが、一般的な画像
ビューワとしても利用できます。
通常のイメージファイルと同様に、ZIP、RAR または tar (gzip 及び bzip2 で圧縮
されたものも含む) アーカイブ中のイメージも読み込めます。
Python で書かれており、PyGTK バインディングを通じて GTK+ を使用しています。

%prep

%setup -qn mcomix-%{version}
#%{__cp} -f %{SOURCE1} mcomix/messages/ja/LC_MESSAGES/mcomix.po
#msgfmt -o mcomix/messages/ja/LC_MESSAGES/mcomix.mo mcomix/messages/ja/LC_MESSAGES/mcomix.po

%install
%{__rm} -rf ${RPM_BUILD_ROOT}

%{__python} setup.py install --single-version-externally-managed --root=$RPM_BUILD_ROOT

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root)
%doc ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/*.1.gz
%{python_sitelib}/*

%changelog
* Wed Apr 25 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.98-1
- new upstream release
- dropt source1 to merge upstream

* Wed Feb 29 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.97.1-1
- new upstream release
- updated source1

* Sat Jan 14 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.96-2
- rebuilt
  - forgot using newer spec..

* Wed Jan 11 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.96-1
- new upstream release
- added BuildRequires: python-devel
- updated source1

* Wed Sep 28 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.94-1
- new upstream release

* Sat Sep 10 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.93-1
- new upstream release
- added Requires: python-chardet, python-setuptools
- added Vendor/Distribution/Packager tag

* Sun Jul 10 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.92-2
- updated source1

* Sat Jul 09 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.92-1
- new upstream release
- replaced source1

* Sun May 22 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.91-2
- added BuildRequires:	python-setuptools

* Wed May 11 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.91-1
- new upstream release
- changed Lisence tag
  - applied to GPLv2
- changed URL
- changed BuildArch to noarch

* Sun Nov 14 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.90.2-2
- updated source1
- probed %%post and %%postun
  - added %%posttrans

* Sat Oct 30 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.90.2-1
- initial build for VineSeed
