Name:		meld
Version:	1.5.4
Release:	1%{?_dist_release}
Summary:	Graphical tool to diff and merge files
Summary(ja):	ファイルの差分表示とマージのためのグラフィカルなツール

Group:		Development/Tools
License:	GPLv2+
URL:		http://meldmerge.org/
Source0:	http://ftp.gnome.org/pub/gnome/sources/meld/1.5/meld-%{version}.tar.xz
#Source1:	meld-1.3.1-ja.po
#Patch0:		%{name}-desktop.patch
#Patch1:		%{name}-scrollkeeper.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	scrollkeeper
BuildRequires:	perl-XML-Parser

Requires:       gnome-python
Requires:	pygtk2 >= 2.14.0
Requires:	pygtk2-libglade
Requires:	pygobject >= 2.14.0
Requires:       pygtksourceview >= 2.10

Requires(post):	scrollkeeper
Requires(postun): scrollkeeper

BuildArch:	noarch

Vendor: Project Vine
Distribution: Vine Linux

%description
Meld is a tool which allows the user to see the changes in, and 
merge between, either two files, two directories, or two files 
with a common ancestor. 

%description -l ja
Meld は、ユーザが二つのファイル、二つのディレクトリ、または共通の祖先を
持つ二つのファイルの差分表示およびマージを行えます。

%prep
%setup -q
#%patch0 -p1 -b .desktop
#%patch1 -p1 -b .scrollkeeper
# copy updated japanese translation
#%{__cp} %{SOURCE1} po/ja.po

%build
%__make prefix=%{_prefix} libdir=%{_datadir}


%install
%__rm -rf ${RPM_BUILD_ROOT}

%__make prefix=%{_prefix} libdir=%{_datadir} \
  DESTDIR=${RPM_BUILD_ROOT} install


desktop-file-install --vendor vine \
    --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
    --delete-original \
    --add-category "GTK;" \
    ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi 
update-desktop-database &> /dev/null || :


%postun
scrollkeeper-update -q || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi 
update-desktop-database &> /dev/null || :


%clean
%__rm -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/vine-%{name}.desktop
#%{_datadir}/application-registry/%{name}*
#%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/gnome/help/%{name}/
%{_datadir}/omf/%{name}/


%changelog
* Thu Apr 26 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.5.4-1
- new upstream release
- dropt patch0 to merge upstream 

* Wed Feb 01 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.5.3-1
- new upstream release
- fixed URL
- added patch0 to fix Japanese translation a little
- changed Requires: pygtksourceview >= 2.4 to 2.10
- added NEWS in %%doc of %%files

* Wed Aug 17 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.5.2-1
- new upstream release

* Sat Apr 30 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.5.1-1
- new upstream release

* Thu Jan 27 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.5.0-1
- new upstream release
- changed BuildRequires: perl(XML::Parser) to perl-XML-Parser
- added Requires: gnome-python, pygtksourceview >= 2.4
- modified installing desktop file
  - added --add-category "GTK;"
- fixed %%files
  disabled %%{_datadir}/pixmaps/%{name}.png

* Sat Oct 30 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.4.0-1
- new upstream release

* Sun Jul 04 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.3.2-1
- new upstream release

* Wed Sep 23 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.3.1-2
- add Source1: updated japanese translations

* Sun Sep 13 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.3.1-1
- new upstream release

* Fri Jul 10 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.0-2
- remove Requires: gnome-python-* which are not needed anymore.

* Fri May 22 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.3.0-1
- Update to 1.3.0
- spec in UTF-8

* Sat Apr 04 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.2.1-1
- Update to 1.2.1
- fixed release tag
- Updated Patch0

* Sun Nov 02 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.2-1
- initial build for Vine Linux

* Tue Aug 26 2008 Brian Pepple <bpepple@fedoraproject.org> - 1.2-2
- Change require to gnome-python2-gnome. (#460010)

* Sun Aug  3 2008 Brian Pepple <bpepple@fedoraproject.org> - 1.2-1
- Update to 1.2.
- Drop git patch.  fixed upstream.
- Update scrollkeeper patch.

* Tue Jun  3 2008 Brian Pepple <bpepple@fedoraproject.org> - 1.1.5-5
- Backport git support (#449250).

* Wed Nov 14 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.1.5-4
- Add Requires on gnome-python2-gtksourceview to enable syntax coloring. (#382041)

* Sun Aug  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.1.5-3
- Update license tag.

* Sun Jun 10 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.1.5-2
- Drop requires on yelp.

* Sat Jun  9 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.1.5-1
- Update to 1.1.5.
- Drop gettext patch.  fixed upstream.

* Sat Jun  9 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.1.4-7
- Add requires on yelp.

* Sat Dec  9 2006 Brian Pepple <bpepple@fedoraproject.org> - 1.1.4-6
- Drop X-Fedora category from desktop file.
- Add patch to fix rejects from new version of gettext.

* Fri Dec  8 2006 Brian Pepple <bpepple@fedoraproject.org> - 1.1.4-5
- Rebuild against new python.

* Wed Sep  6 2006 Brian Pepple <bpepple@fedoraproject.org> - 1.1.4-4
- Don't ghost *.pyo files.
- Add BR for intltool and perl(XML::Parser).
- Rebuild for FC6.

* Sun Jun 11 2006 Brian Pepple <bdpepple@ameritech.net> - 1.1.4-3
- Update to 1.1.4.

* Thu Feb 16 2006 Brian Pepple <bdpepple@ameritech.net> - 1.1.3-4
- Remove unnecessary BR (intltool).

* Mon Feb 13 2006 Brian Pepple <bdpepple@ameritech.net> - 1.1.3-3
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Feb  5 2006 Brian Pepple <bdpepple@ameritech.net> - 1.1.3-2
- Update to 1.1.3.
- Update scrollkeeper scriptlet.
- Update versions required for pygtk2 & gnome-python2.
- Add patch to disable scrollkeeper in Makefile.
- Ghost the *.pyo.

* Sun Nov 13 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.1.2-1
- Update to 1.1.2.

* Mon Jul 25 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.0.0-1
- Update to 1.0.0.
- Include fix for upstream bug #309408.

* Wed Jun  8 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.9.6-1
- Remove unused meld shell script from src.rpm.
- Add scriptlets for scrollkeeper-update.
- Use %%find_lang macro.
- Simplify %%install (let included Makefile do the installation).
- Update to 0.9.6 (fixes manual).
- BR scrollkeeper (#156235).

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.9.5-2
- rebuilt

* Sun Feb 06 2005 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.9.5-1
- 0.9.5.

* Thu Nov 11 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.9.4.1-0.fdr.3
- Clean up spec/Bump release.

* Sat Jul 31 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.9.4.1-0.fdr.2
- Group now Development/Tools.

* Wed Jul 21 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.9.4.1-0.fdr.1
- Updated to 0.9.4.1.

* Fri May 28 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.9.3-0.fdr.1
- Updated to 0.9.3.

* Wed Apr 07 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.9.2.1-0.fdr.2
- BuildReqs intltool & gettext (#1459).

* Tue Apr 06 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.9.2.1-0.fdr.1
- Updated to 0.9.2.1.

* Thu Dec 04 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.9.1-0.fdr.2
- Include translations.

* Sat Nov 22 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.9.1-0.fdr.1
- Updated to 0.9.1.

* Thu Oct 23 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.9.0-0.fdr.2
- Reuire pygtk2 >= 0:1.99.15.

* Sun Oct 12 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.9.0-0.fdr.1
- Updated to 0.9.0.

* Mon Sep 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.8.5-0.fdr.1
- Updated to 0.8.5.

* Wed Aug 13 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.8.4-0.fdr.3
- dropped tidyxml.py.

* Mon Aug 11 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.8.4-0.fdr.2
- Moved manual so the help feature will work.

* Thu Jul 31 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.8.4-0.fdr.1
- Updated to 0.8.4.
- now install files under %%{_datadir} rather than %%{_libdir}.

* Wed May 28 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.8.1-0.fdr.3
- Package now contains verifiable source.

* Tue May 27 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.8.1-0.fdr.2
- Cleaned out libdir/meld.
- fixed file permissions.

* Sun May 25 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.8.1-0.fdr.1
- Updated to 0.8.1.
- buildroot -> RPM_BUILD_ROOT.

* Wed Apr 16 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.7.1-0.fdr.1
- Updated to 0.7.1.

* Wed Apr 09 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.7.0-0.fdr.3
- Updated Requires.

* Tue Apr 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.7.0-0.fdr.2
- Changed category to X-Fedora-Extra.
- Added desktop-file-utils to BuildRequires.
- Added missing Requires fields.
- Added Epoch:0.

* Thu Mar 27 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.7.0-0.fdr.1
- Initial RPM release.
