Name:           chromium-ffmpeg
Summary:        The ffmpeg lib for Google's opens source browser Chromium
Summary(ja):    Google オープンソースブラウザ Chromium 用 ffmpeg ライブラリ
Version:        17.0.963.54
Release:        1%{?_dist_release}
License:        BSD
Group:          Applications/Internet
# use the official tarball: 
Source0:        http://gsdview.appspot.com/chromium-browser-official/chromium-%{version}.tar.bz2

BuildRequires:	zlib-devel
Requires:	chromium

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
FFMPEG library built from the chromium sources. 

%prep
%setup -q -c %{name}-%{version}

%build

## create make files
pushd chromium-%{version}

##NOTE: Use --depth as a workaround
./build/gyp_chromium -f make third_party/ffmpeg/ffmpeg.gyp \
    -Dffmpeg_branding=Chrome \
    -Dlinux_fpic=1 \
    %ifarch %{ix86}
        -Dtarget_arch=ia32 \
    %endif
    %ifarch x86_64
        -Ddisable_sse2=1 \
        -Dtarget_arch=x64 \
    %endif
    %if %{?_dist_release} == "vl6"
        -Dgcc_version=44 \
    %endif
    \
    --depth=. \
    ;

#%__make -r %{?_smp_mflags} ffmpeg BUILDTYPE=Release V=1
cd third_party/ffmpeg
%__make -r %{?_smp_mflags} -f ffmpeg.Makefile BUILDTYPE=Release V=1

popd

%install
%__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_libdir}/chromium/
pushd chromium-%{version}/third_party/ffmpeg/out/Release
%__cp -a lib*.so %{buildroot}%{_libdir}/chromium/
popd


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_libdir}/chromium
%{_libdir}/chromium/libffmpegsumo.so

%changelog
* Sun Feb 12 2012 Munehiro Yamamoto <munepi@vinelinux.org> 17.0.963.54-1
- updated to 17.0.963.54

* Mon Jan  9 2012 Munehiro Yamamoto <munepi@vinelinux.org> 16.0.912.75-1
- updated to 16.0.912.75
- added BuildRequires dependendies

* Fri Dec 30 2011 Munehiro Yamamoto <munepi@vinelinux.org> 16.0.912.63-1
- initial release for Vine Linux
