%define pkgname gstreamer-plugins-ugly
%define major		0.10
%define _gst_ver	0.10.18
%define _gstpb_ver	0.10.26
%define release	1%{?_dist_release}

%define sourceurl	http://gstreamer.freedesktop.org/src/gst-plugins-ugly/gst-plugins-ugly-%{_gst_ver}.tar.bz2

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		self-build-%{pkgname}
Version:	%{_gst_ver}
Release: 	%{release}
Source0:	%{pkgname}-vl.spec
Source101:	gstreamer-plugins-ugly-x264.patch
License:	LGPLv2+
Group:		Restricted Software

Requires(post):		self-build-setup >= 0.9.9

# (build)requies of target package.
Requires(post):		libogg-devel, libtheora-devel, libvorbis-devel
Requires(post):		gstreamer-devel >= %{_gst_ver}
Requires(post):		gstreamer-plugins-base-devel >= %{_gstpb_ver}
#Requires(post):		gtk-doc >= 1.3
Requires(post):		python >= 2.1, python-pyxml
Requires(post):		glib2-devel >= 2.6
Requires(post):		twolame-devel
Requires(post):		liboil-devel >= 0.3.0
Requires(post):		libcdio-devel >= 0.82
Requires(post):		libdvdread-devel
Requires(post):		PyXML
Requires(post):		self-build-libmad >= 0.15
Requires(post):		libid3tag-devel >= 0.15
Requires(post):		self-build-ffmpeg
Requires(post):		self-build-x264
Requires(post):		self-build-libmpeg2
Requires(post):		self-build-a52dec
Requires(post):		self-build-lame
Requires(post):		self-build-libmad


BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi

%description
gstreamer-plugins-ugly is a set of ugly plugins for Gstreamer
streaming-media framework.

If you install this package, it automaticaly downloads source
code, compile it, and create rpm packages of 
%{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.


[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
gstreamer-plugins-ugly は GStreamer ストリーミングメディア
フレームワーク用 ugly プラグイン集です。

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version}
の rpm パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。


[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。


%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE101} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec %{sourceurl} 83000

%files
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Sun Dec 18 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.18-1
- new upstream relase
- built with new x264
- License: LGPLv2+

* Sat Mar 26 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.17-1
- new upstream relase

* Fri Sep 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.16-1
- new upstream relase

* Sun Jun 27 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.15-1
- new upstream relase

* Sat Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.14-1
- new upstream relase
- renamed %%{Source0} to gstreamer-plugins-ugly-vl.spec

* Wed Feb 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.13-1
- new upstream relase

* Sat Oct 24 2009 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.12-1
- new upstream relase
- added Requires(post): self-build-libmpeg2
  - enable mpeg2dec with libmpeg2-devel in %%configure
- check version between original spec and self-build spec in %%prep

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.10.11-3
- avoided to execute self-build-rpm.sh on RPM transaction
  - moved %%post actions to %%posttrans

* Wed May 13 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.10.11-2
- added BuildArch: noarch
- dropped PreReq: gtk-doc >= 1.3

* Sun Mar 29 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.10.11-1
- new upstream relase

* Mon Feb 09 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.10.10-2
- changed to PreReq:  self-build-libmad >= 0.15 from libmad-devel

* Sat Jan 10 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.10.10-1
- new upstream relase

* Sun Aug 17 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.10.8-1
- initial build for Vine Linux.
