%define pkgname pragha
%define name	self-build-%{pkgname}
%define version 0.8.9
%define release	1%{?_dist_release}

%define sourceurl0	http://dissonance.googlecode.com/files/%{pkgname}-%{version}.tar.bz2

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{pkgname}-vl.spec

License:	GPLv3+
Group:		Restricted Software

# Requires(posttrans) not yet implemented. So we use (post) instead.
Requires(post):		self-build-setup >= 0.9.9

# (build)requies of target package.
Requires(post):  alsa-lib-devel >= 1.0.15 
Requires(post):  dbus-glib-devel >= 0.74
Requires(post):  gtk2-devel >= 2.16.0
Requires(post):  flac-devel >= 1.2.1
%if %{?_dist_release} != "vl5"
Requires(post):  keybinder-devel >= 0.2.0
%endif
Requires(post):  libao-devel >= 0.8.8
Requires(post):  libcddb-devel >= 1.2.1
Requires(post):  libcdio-devel >= 0.78
Requires(post):  curl-devel >= 7.18
##Requires(post):  libmad-devel >= 0.15
Requires(post):  libmodplug-devel
Requires(post):  libnotify-devel >= 0.4.4
Requires(post):  libsndfile-devel >= 1.0.17
Requires(post):  libvorbis-devel >= 1.2.0
Requires(post):  sqlite3-devel >= 3.4
Requires(post):  taglib-devel >= 1.4
Requires(post):  desktop-file-utils
Requires(post):  gettext

Requires(post):		self-build-libmad >= 0.15

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi

%description
Pragha is a lightweight GTK+ music manager that aims to be fast, bloat-free,
and light on memory consumption. It is written completely in C and GTK+. 

Pragha is a fork of Consonance Music Manager, discontinued by the original 
author.


If you install this package, it automaticaly downloads source
code ,compile it, and create rpm packages of %{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
Pragha は軽量 GTK+ 楽曲管理アプリケーションです。

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version} の rpm
パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。

%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec "%{sourceurl0}" 66000
/usr/lib/rpm/pre-allocate-rpm.sh %{pkgname}-%{version}-%{release}

%files
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Tue Aug 30 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.8.9-1
- new upstream release
- added Requires(post):  keybinder-devel >= 0.2.0

* Sun Feb 27 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.8.5-2
- fixed %%posttrans

* Sat Feb 26 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.8.5-1
- new upstream release

* Sat Oct 30 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.8.2-1
- initial bulid
