# by default don't build the browser plugin
# use bcond_without to change the default
#%bcond_with mozilla

Name:           parole
Version:        0.2.0.6
Release:        1%{?_dist_release}
Summary:        Media player for the Xfce desktop
Summary(ja):    Xfce デスクトップのメディアプレーヤー

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/applications/parole
Source0:        http://archive.xfce.org/src/apps/parole/0.2/%{name}-%{version}.tar.bz2
Patch1:		parole-0.2.0.6-dsofix.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  gtk2-devel >= 2.16.0
BuildRequires:  glib2-devel >= 2.16.0
BuildRequires:	gstreamer-devel
BuildRequires:  gstreamer-plugins-base-devel >= 0.10.11
BuildRequires:  dbus-devel >= 0.60
BuildRequires:  dbus-glib-devel >= 0.70
BuildRequires:  libxfcegui4-devel >= 4.6.0
BuildRequires:  libxfce4util-devel >= 4.6.0
BuildRequires:  libnotify-devel >= 0.4.1
BuildRequires:  taglib-devel >= 1.4
BuildRequires:  desktop-file-utils
BuildRequires:  gettext 
BuildRequires:  intltool

#%if %{with mozilla}
#BuildRequires:  xulrunner-devel
#%endif

BuildRequires:  gtk-doc
Requires:       gstreamer-plugins-good

%description
Parole is a modern simple media player based on the GStreamer framework and 
written to fit well in the Xfce desktop. Parole features playback of local 
media files, DVD/CD and live streams. Parole is extensible via plugins.

The project still in its early developments stage, but already contains the 
following features:
* Audio playback
* Video playback with optional subtitle
* Playback of live sources

%description -l ja
Parole は GStreamer フレームワークに基づき Xfce デスクトップに
馴染むよう書かれたモダンでシンプルなメディアプレーヤーです。
Parole はローカルメディアファイル、DVD/CD、ライブストリームの再生を
特色とします。
Parole はプラグインを介して拡張が可能です。

このプロジェクトはまだ開発の初期段階ですが、
既に以下の機能がふくまれています。
* オーディオの再生
* 任意のサブタイトルがあるビデオの再生
* ライブストリームの再生


%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk-doc

%description    devel
The %{name}-devel package contains header files for developing plugins for 
%{name}.

%description    devel -l ja
%{name}-devel パッケージ は %{name} のプラグインを開発するための
ヘッダファイルを含みます。

#%if %{with mozilla}
#%package mozplugin
#Summary:	Browser plugin for %{name}
#Group:		Application/Internet
#Requires:	%{name} = %{version}-%{release}

#%description    mozplugin
#Parole is a modern simple media player based on the GStreamer framework and 
#written to fit well in the Xfce desktop. This plugin allows it to be embedded
#in a web browser.
#%endif

%prep
%setup -q
%patch1 -p1

%build
%configure --disable-static --enable-gtk-doc \
#%if %{with mozilla}
# --enable-browser-plugin
#%else
# --disable-browser-plugin
#%endif
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}

desktop-file-install                                    \
  --delete-original                                     \
  --dir=%{buildroot}%{_datadir}/applications            \
  %{buildroot}/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :


%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-mime-database %{_datadir}/mime &> /dev/null || :


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO THANKS
%{_bindir}/%{name}
%dir %{_libdir}/%{name}-0/
%{_libdir}/%{name}-0/*.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*
%{_datadir}/%{name}/


%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/Parole-Plugins/
%{_includedir}/%{name}/


#%if %{with mozilla}
#%files mozplugin
#%defattr(-,root,root,-)
#%{_libexecdir}/%{name}-media-plugin
#%{_libdir}/mozilla/plugins/%{name}-player.so
#%endif

%changelog
* Fri Sep 30 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.0.6-1
- new upstream release
- obsoleted -mozplugin package

* Tue Jan 26 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.0.2-1
- new upstream release

* Sun Jan 17 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.0.1-2
- new upstream release

* Tue Jan 5 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.0-1
- new upstream release
- added BuildRequires:  glib2-devel >= 2.16.0, libxfce4util-devel >= 4.6.0

* Wed Dec 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.99-1
- new upstream release
- added BuildRequires: gstreamer-devel
- splitted mozplugin package

* Sun Nov 1 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.91-1
- new upstream release
- dropt all pathces

* Thu Oct 15 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.90-1
- initial build for VineSeed

* Thu Oct 08 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.90-2
- BuildRequire taglib-devel and fix libnotify requirement

* Wed Oct 07 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.90-1
- Update to 0.1.90
- Loads of additional translations

* Fri Sep 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1-0.1
- Initial package
