%define	pkgname	Pod-PerldocJp

# Basic Information
Name:		perl-%{pkgname}
Version:	0.14
Release:	1%{?_dist_release}
License:	Artistic or GPL
Group:		Development/Tools
Source0:	http://search.cpan.org/CPAN/authors/id/I/IS/ISHIGAKI/%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	perldoc that also checks perldoc.jp
Summary(ja):	日本語対応の perldoc

# Dependency
Requires:       perl
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl

%description
This is a drop-in-replacement for perldoc for Japanese people. Usage is the
same, except it can look for a translation at http://perldoc.jp with -J
option.

%description -l ja
perldocjp は、日本人のために perldoc を置き換えます。使い方は、-J オプション
を利用して http://perldoc.jp にある翻訳を探すことができる以外は、perldoc と
同様です。

%prep
%setup -q -n Pod-PerldocJp-0.14

%build
perl Makefile.PL
%{__make}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT%{_prefix} -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v ^%{_mandir} |
	grep -v perllocal.pod |
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

# remove unnecessary files.
%{__rm} ${RPM_BUILD_ROOT}%{perl_archlib}/perllocal.pod
%{__rm} ${RPM_BUILD_ROOT}%{perl_sitearch}/auto/Pod/PerldocJp/.packlist


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_sitelib}/Pod/PerldocJp
%{_mandir}/*/*


%changelog
* Mon Oct 10 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.14-1
- initial build for Vine Linux
