%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name: pygobject3
Summary: Python bindings for GObject Introspection
Summary(ja): GObject Introspection の Python バインディング
Version: 3.2.0
Release: 1%{?_dist_release}

Group: Development/Languages
License: LGPL
URL: http://www.pygtk.org/

Source: http://ftp.gnome.org/pub/GNOME/sources/pygobject/3.2/pygobject-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glib2-devel >= 2.26.0
BuildRequires: python-devel >= 2.6
BuildRequires: libffi-devel
BuildRequires: libtool, automake
BuildRequires: gobject-introspection-devel >= 0.9.8
BuildRequires: pycairo-devel >= 1.8.10

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
pygobject provides a convenient wrapper for the GObject library
for use in Python programs.

%package devel
Summary: Development files for building add-on libraries
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
#Requires: pygobject-doc = %{version}-%{release}
Requires: glib2-devel
Requires: libffi-devel
Requires: pkgconfig

%description devel
This package contains files required to build wrappers for
pygobject-based libraries such as pygtk2.

%package doc
Summary: Documentation files for pygobject
Group: Documentation
BuildArch: noarch

%description doc
This package contains documentation files for pygobject.

%prep
%setup -q -n pygobject-%{version}

%build
# --disable-docs doesn't work; it builds the docs anyway.
%configure \
    --enable-silent-rules \
    --disable-static \
    --enable-thread
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
make LIBTOOL=/usr/bin/libtool DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -name '*.la' -or -name '*.a' | xargs rm -f

rm -f examples/Makefile*

# conflict with pygobject
rm -rf $RPM_BUILD_ROOT%{python_sitearch}/gtk-2.0
rm -rf $RPM_BUILD_ROOT%{_datadir}/pygobject

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644, root, root, 755)
%doc AUTHORS NEWS README ChangeLog
%doc examples
%{_libdir}/libpyglib-gi-2.0-python.so.*
%{python_sitearch}/gi

%files devel
%defattr(644, root, root, 755)
%{_includedir}/pygobject-3.0/pygobject.h
%{_libdir}/libpyglib-gi-2.0-python.so
%{_libdir}/pkgconfig/pygobject-3.0.pc

%files doc
%defattr(644, root, root, 755)

%changelog
* Sat Mar 31 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Wed Feb 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.4-2
- rebuild with python-2.7.2

* Wed Feb 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.4-1
- new upstream release

* Thu Nov 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.2-1
- new upstream release

* Thu Oct 06 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.1-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.0-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.90.3-1
- initial build for Vine Linux

