%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name: python-pocket-lint
Version: 0.5.30
Release: 1%{?_dist_release}
Summary: Pocket-lint a composite linter and style checker for source code
Summary(ja): Pocket-lint はソースコードのコンポジットリンターとスタイルチェッカーです

Group: Development/Languages
License: MIT
URL: https://launchpad.net/pocket-lint
Source0: http://launchpad.net/pocket-lint/trunk/%{version}/+download/pocketlint-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildArch: noarch

BuildRequires: python-devel
BuildRequires: python-setuptools

Obsoletes: python-pocketlint

%description
Pocket-lint has several notable features:

* Provides a consistent report of issues raised by the subordinate checkers.
* Alternate Reports can be written to change the report, or integrate the report
  into another application.
* Supports checking of multiple source types:
  * Python syntax and style
  * Python doctest style
  * XML/HTML style and entities
  * CSS style
  * JavaScript syntax and style
  * Plain text
* Supports reporting:
  * Python doctests
  * CSS
  * XML/HTML


%prep
%setup -q -n pocketlint-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog HACKING INSTALL PKG-INFO README
%{_bindir}/pocketlint
%{python_sitelib}/*


%changelog
* Sat Mar 03 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.30-1
- new upstream release

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.5.28-2
- rebuild with python-2.7.2

* Wed Feb 08 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.28-1
- new upstream release

* Thu Feb 02 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.27-1
- new upstream release

* Sun Jan 15 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.23-1
- new upstream release
- improved Summary and Summary(ja)

* Mon Sep 19 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.21-1
- new upstream release

* Thu Jun 09 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.19-1
- new upstream release

* Wed May 18 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.17-1
- new upstream release

* Wed May 4 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.14-1
- new upstream release
- changed BuildArch to noarch

* Sun Dec 19 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.5-1
- new upstream release

* Sun Oct 3 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.4-3
- rebuilt with rpm-4.8.1 for pkg-config

* Tue Aug 17 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.4-2
- changed package name a little

* Mon Aug 16 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.4-1
- initial build for VineSeed
