%{!?python_sitearch:%global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_inc:%global python_inc %(%{__python} -c "from distutils.sysconfig import get_python_inc; print get_python_inc(1)")}
%define py_ver %(python -c 'import sys;print(sys.version[0:3])')

Name: 		sip
Summary: 	Python/C++ Bindings Generator
Summary(ja): 	Python/C++ インターフェイス生成ツール
Version: 	4.13.1
Release: 	2%{?_dist_release}

License:	GPLv2 or GPLv3
Group:		Development/Tools
URL:		http://www.riverbankcomputing.co.uk/software/sip/intro

Source0:	http://www.riverbankcomputing.co.uk/static/Downloads/sip4/%{name}-%{version}.tar.gz
Patch0:		disable-rpaths.diff

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	python-devel
BuildRequires:	sed

Vendor:		Project Vine
Distribution:	Vine Linux

%description
SIP is a tool for generating bindings for C++ classes so that they can be
accessed as normal Python classes. SIP takes many of its ideas from SWIG but,
because it is specifically designed for C++ and Python, is able to generate
tighter bindings. SIP is so called because it is a small SWIG.

SIP was originally designed to generate Python bindings for KDE and so has
explicit support for the signal slot mechanism used by the Qt/KDE class
libraries. However, SIP can be used to generate Python bindings for any C++
class library.


%package devel
Summary: 	Files needed to generate Python bindings for any C++ class library
Summary(ja): 	Python/C++ インタフェース作成に必要なライブラリやヘッダファイル
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	python-devel
Provides: 	libsip-devel = %{version}-%{release}

%description devel
This package contains files needed to generate Python bindings for any C++
classes library.


%prep
%setup -q
%patch0

%build
%ifarch x86_64 ppc
OPT_FLAGS="%{optflags} -fPIC"
%else
OPT_FLAGS="%{optflags}"
%endif

%{__python} configure.py -k -d %{python_sitearch} \
	-b %{_bindir} CXXFLAGS="$OPT_FLAGS" CFLAGS="$OPT_FLAGS"
make %{?_smp_mflags}

%{__python} configure.py -d %{python_sitearch} \
	-b %{_bindir} CXXFLAGS="$OPT_FLAGS" CFLAGS="$OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 

install sipconfig.pyc $RPM_BUILD_ROOT%{python_sitearch}
install -m644 siplib/libsip.a -D $RPM_BUILD_ROOT%{_libdir}/libsip.a
mkdir -p $RPM_BUILD_ROOT%{_datadir}/sip


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 755)
%doc LICENSE LICENSE-GPL2 LICENSE-GPL3 NEWS README 
%doc doc/html
%{_bindir}/sip
%{python_sitearch}/*

%files devel
%defattr(-, root, root, 755)
%{python_inc}/*
%{_libdir}/libsip.a
%dir %{_datadir}/sip

%changelog
* Sat Feb 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.13.1-2
- rebuild with python-2.7.2

* Sat Jan  7 2012 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.13.1-1
- new upstream release

* Sun Jul 31 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.12.3-1
- new upstream release

* Sun Jan 30 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.12.1-1
- new upstream release

* Mon Oct  4 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 4.10.5-2
- add gcc option "-fPIC" also on ppc

* Sat Jul 24 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.10.5-1
- new upstream release

* Sun May 09 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.10.2-1
- new upstream release

* Wed Feb 03 2010 Shu KONNO <owa@bg.wakwak.com> 4.10-1
- new upstream release

* Wed Feb 03 2010 Shu KONNO <owa@bg.wakwak.com> 4.9.3-2
- rebuilt with python-2.6.4

* Wed Nov 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.9.3-1
- new upstream release

* Thu Oct 22 2009 Shu KONNO <owa@bg.wakwak.com> 4.9-1
- new upstream release
- added japanese summary
- changed source url

* Sat Aug 29 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.8.2-1
- new upstream release
- remove qt-devel dependency

* Sun Jul 20 2008 Shu KONNO <owa@bg.wakwak.com> 4.7.1-1vl1
- rebuilt with python-2.5.2
- applied new versioning policy and spec in utf-8

* Fri Nov 30 2007 Shu KONNO <owa@bg.wakwak.com> 4.7.1-0vl1
- new upstream release
- added gcc option "-fPIC" (if x86_64)

* Wed Sep  5 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7-0vl1
- new upstream release
- use qt qmake files

* Sun May 27 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.5-0vl2
- rebuilt with new toolchain

* Sun Jun 11 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.5-0vl1
- new upstream release
- rebuilt with python 2.4.3
- changed Group to Development/Languages

* Sun Apr 03 2005 Shu KONNO <owa@bg.wakwak.com> 3.11.1-0vl2
- Rebuild for python 2.4.1

* Sat Jan 15 2005 Satoshi MACHINO <machino@vinelinux.org> 3.11.1-0vl1
- built for VineLinux
- new upstream version

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 3.10.2-5mdk
- Rebuild for new python

* Wed Jun  9 2004 Götz Waschk <waschk@linux-mandrake.com> 3.10.2-4mdk
- obsolete libsip10 too

* Mon Jun  7 2004 Götz Waschk <waschk@linux-mandrake.com> 3.10.2-3mdk
- drop library packages

* Mon Jun 07 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.10.2-2mdk
- fix build and install problems
- drop .so.*, they no longer exist
- use %%{py_ver} macro

* Sat Jun 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.10.2-1mdk
- 3.10.2

* Fri Apr 23 2004 Götz Waschk <waschk@linux-mandrake.com> 3.10.1-1mdk
- add sipconfig
- major 11
- add source URL
- new version

* Mon Sep  8 2003 Götz Waschk <waschk@linux-mandrake.com> 3.8-3mdk
- fix buildrequires

* Sun Sep  7 2003 Götz Waschk <waschk@linux-mandrake.com> 3.8-2mdk
- fix buildrequires
- move libsip.so to the lib package, as it's required by generated bindings
- move sip to the devel package

* Wed Aug 20 2003 Austin Acton <aacton@yorku.ca> 3.8-1mdk
- 3.8

* Sat Aug 9 2003 Austin Acton <aacton@yorku.ca> 3.6-8mdk
- the one true fix (eat your heart out per oyvind :-) )

* Fri Aug 08 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.6-7mdk
- really rebuild for new python (austin was the sucky one this time;)

* Thu Aug 7 2003 Austin Acton <aacton@yorku.ca> 3.6-6mdk
- python 2.3

* Sat Jul 19 2003 Till Kamppeter <till@mandrakesoft.com> 3.6-5mdk
- Rebuild

* Fri Jun 20 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 3.6-4mdk
- fix path to qt3 (lib64 issues)
- use %%mklibname macro for -devel package

* Tue May 27 2003 Austin Acton <aacton@yorku.ca> 3.6-3mdk
- rebuild for rpm 4.2

* Tue Apr 29 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 3.6-2mdk
- added QPL to license

* Tue Apr 29 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 3.6-1mdk
- 3.6 (lib major 9)
- cleanups
- fix license
- make --short-circuitable
- use %%mklibname macro

* Fri Jan 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.5-1mdk
- 3.5

* Sat Aug 17 2002 Christian Belisle <cbelisle@mandrakesoft.com> 3.3.2-2mdk
- fix Provides for libsip9.

* Wed Jul 17 2002 Christian Belisle <cbelisle@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2
- use the new sip's build script

* Sat Jun 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.2.4-1mdk
- 3.2.4

* Tue May 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.2.2-2mdk
- rebuild against new libstdc++

* Mon May 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Tue May 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Mon Apr 08 2002 Christian Belisle <cbelisle@mandrakesoft.com> 3.1-1mdk
- version 3.1 (lib major 8).
- update URL.

* Fri Jan 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.0-3mdk
- merge with  RA <ralf_ahlbrink@web.de> mods :
	- added BuildRequires: libpython2.2-devel

* Fri Nov 30 2001 Yves Duret <yduret@mandrakesoft.com> 3.0-1mdk
- version 3.0 (lib major 7)

* Fri Nov 30 2001 Yves Duret <yduret@mandrakesoft.com> 2.5-2mdk
- rebuild against libpng3
- %%makeinstall_std
- std %%build step (macros..)
- added %%dir %%{_includedir}/sip in -devel package

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.5-1mdk
- 2.5

* Mon May 14 2001 Yves BAILLY <ybailly@mandrakesoft.com> 2.4-3mdk
- fixed some errors in spec file (sorry, my first package)

* Mon May 14 2001 Yves BAILLY <ybailly@mandrakesoft.com> 2.4-2mdk
- fixed the Python dependency (>= 2.0 instead of = 2.0)

* Mon May 14 2001 Yves BAILLY <ybailly@mandrakesoft.com> 2.4-1mdk
- upgrade to version 2.4

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3-2mdk
- Rebuild against Qt 2.3.0

* Wed Feb 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.3-1mdk
- updated to 2.3

* Mon Feb 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2-1mdk
- used srpm from Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr>
        - built on Mandrake-7.2 following Mandrake RPM guidelines


