%define	dbus_ver	1.4.20
%define	dbus_glib_ver	0.98
%define	glib_ver	2.32

Summary:        GLib bindings for Telepathy
Summary(ja):    Telepathy の GLib バインディング

Name:           telepathy-glib
Version:        0.18.0
Release:	1%{?_dist_release}

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/FrontPage

Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz

Patch0:		telepathy-glib-0.18.0-broken-pkgconfig.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  gtk-doc
BuildRequires:  dbus-devel >= %{dbus_ver}
BuildRequires:	dbus-glib-devel >= %{dbus_glib_ver}
BuildRequires:	glib2-devel >= %{glib_ver}
BuildRequires:	libxslt
BuildRequires:	python
BuildRequires:	gobject-introspection-devel
BuildRequires:	vala-devel
BuildRequires:	vala-tools

Vendor: Project Vine
Distribution: Vine Linux

%description
Telepathy-glib is the glib bindings for the telepathy unified framework
for all forms of real time conversations, including instant messaging, IRC, 
voice calls and video calls.


%package 	devel
Summary:	Development files for %{name}
Summary(ja):	%{name} の開発用ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-vala = %{version}-%{release}
Requires:	telepathy-filesystem
Requires:	dbus-devel >= %{dbus_ver}
Requires:	dbus-glib-devel >= %{dbus_glib_ver}
Requires:	glib2-devel >= %{glib_ver}
Requires:	pkgconfig


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package vala
Summary:	Vala bindings for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	vala


%description vala
Vala bindings for %{name}.


%prep
%setup -q
%patch0 -p1 -b .pkg-config

%check
make check


%build
%configure --enable-static=no --enable-vala-bindings=yes --enable-introspection=yes
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%{_libdir}/libtelepathy-glib*.so.*
%{_libdir}/girepository-1.0

%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/libtelepathy-glib.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/telepathy-1.0/%{name}/
%{_datadir}/gir-1.0

%files vala
%defattr(-,root,root,-)
%{_datadir}/vala/vapi/telepathy-glib.deps
%{_datadir}/vala/vapi/telepathy-glib.vapi


%changelog
* Sun Apr 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.18.0-1
- new upstream release
- update Patch0 (telepathy-glib-0.18.0-broken-pkgconfig.patch)

* Sat Dec 31 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.16.4-1
- new upstream release

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.16.0-1
- new upstream release

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.15.5-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.15.4-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13.0-1
- new upstream release
- add BuildRequires: gobject-introspection-devel, vala-devel, vala-tools
- update Patch0
- add vala sub package

* Thu Sep 23 2010 IWAI, Masaharu <iwai@alib.jp> 0.10.2-2
- build with rpm-4.8.1-1 for pkg-config file
- add broken pkg-config file patch (Patch0): from Fedora 0.11.15-1

* Sun Apr 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.2-1
- new upstream release

* Wed Nov  4 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.1-1
- new upstream release

* Fri Sep 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.14-1
- initial build for Vine Linux

* Sat Aug 23 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.14-1
- Update to 0.7.14.
- Add README & NEWS to docs.

* Tue Jul 29 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.13-1
- Update to 0.7.13.

* Mon Jul 28 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.12-2
- Update broken-pkgconfig patch. (#456621)

* Mon Jul 21 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.12-1
- Update to 0.7.12.
- Update pkgconfig patch.

* Thu Jul  3 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.11-1
- Update to 0.7.11.

* Fri Jun  6 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.10-1
- Update 0.7.10.

* Fri May 30 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.9-1
- Update to 0.7.9.
- Enable tests.

* Fri May  9 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.8-1
- Update to 0.7.8.

* Tue Apr 22 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.6-1
- Update to 0.7.6.

* Mon Mar 24 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.5-4
- Bump.

* Fri Mar 21 2008 - Bastien Nocera <bnocera@redhat.com> - 0.7.5-3
- Really fix #436773

* Mon Mar 10 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.5-2
- Add requires for glib2-devel to devel package. (#436773)

* Fri Mar  7 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.5-1
- Update to 0.7.5.
- Remove hack to fix ppc64 build.  fixed upstream.

* Thu Mar  6 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.4-1
- Update to 0.7.4.
- Disable test for now.
- Add hack to fix build on ppc64.

* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.0-2
- Rebuild for gcc-4.3.

* Fri Nov 23 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0.
- Drop unstable-static subpackage.
- Bump min. versions of dbus-devel & dbus-glib-devel.

* Mon Nov 12 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1.

* Wed Aug 29 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.14-1
- Update to 0.5.14.

* Tue Aug 28 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-6
- Add BR on python.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-5
- Rebuild.

* Sun Aug  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-4
- Update license tag.

* Mon Jun 18 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-3
- Add check section to run test suite.
- Mark gtk-docs as docs.

* Sat Jun 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-2
- Change Group to more accurate categoryn.
- Require pkgconfig on the devel package.
- Move headers for unstable libs to unstable-static sub-pacakge.

* Tue Jun  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-1
- Update to 0.5.13.

* Wed May 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.11-1
- Update to 0.5.11.

* Sat Apr 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.10-1
- Intial spec.

