%define _version 1.8.0
Name:		uget
Version:	%{_version}
Release:	1%{?_dist_release}
Summary:	Uget is a download manager that using gtk+2 and curl
Summary(ja):	Uget - gtk+2 と curl を用いたダウンロードマネージャ

Group:		Applications/Internet
License:	LGPLv2+
URL:		http://urlget.sourceforge.net/
Source0:	http://downloads.sourceforge.net/urlget/%{name}-%{_version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	desktop-file-utils gettext
BuildRequires:	gtk2-devel => 2.18 glib2-devel => 2.22 openldap-devel
BuildRequires:	curl-devel => 7.19.1
BuildRequires:	perl-XML-Parser
BuildRequires:	gstreamer-devel libnotify-devel

%description
Uget is a download manager that using gtk+2 and curl.

%description -l ja
Uget は gtk+2 と curl を用いたダウンロードマネージャです。

%prep
%setup -q -n %{name}-1.8.0

%build
%configure --disable-plugin-aria2 --enable-appindicator=no
make -k %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL="install -p"

%find_lang %{name}

desktop-file-install \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
        %{name}-gtk.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database > /dev/null 2>&1 || :


%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database > /dev/null 2>&1 || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}-gtk.desktop
%{_datadir}/icons/*
%{_datadir}/sounds/*

%changelog
* Thu Jun 09 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.8.0-1
- new upstream release
- added %%configure option --disable-plugin-aria2 --enable-appindicator=no

* Thu May 5 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.6.4-1
- new upstream release

* Sun Dec 19 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.6.2a-1
- new upstream release

* Sat Oct 30 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.6.1-1
- new upstream release

* Thu Sep 2 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.6.0-1
- new upstream release
- dropt Pacth1
- changed BuildRequires: gtk2-devel => 2.18, glib2-devel => 2.22, curl-devel => 7.19.1

* Sat Mar 20 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.5.0.3-1
- new upstream release

* Thu Mar 18 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.5.0.2-1
- new upstream release
- applied new naming policy to spec

* Wed Jan 17 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.5.0.1-2
- added Patch1 from Fedora to fix segv when invalid uri is passed to the argument

* Wed Dec 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.5.0.1-1
- new upstream release
- added BuildRequires:	gstreamer-devel libnotify-devel

* Thu Oct 8 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.5.0-1
- initial build for VineSeed

* Sat May  2 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.4.7-1
- Initial packaging
