%define tarball xf86-video-ark
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

Summary:   Xorg X11 ark video driver
Summary(ja):   Xorg X11 ark ビデオドライバ
Name:      xorg-x11-drv-ark
Version:   0.7.4
Release:   1%{?_dist_release}
URL:       http://www.x.org
License:   MIT
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   ark.xinf

ExcludeArch: s390 s390x

BuildRequires: xorg-x11-server-sdk >= 1.6

Requires:  hwdata
Requires:  xorg-x11-server-Xorg

%description 
X.Org X11 ark video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/ark_drv.so
%{_datadir}/hwdata/videoaliases/ark.xinf

%changelog
* Sun Mar 25 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.4-1
- new upstream release

* Tue Nov 01 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.3-3
- rebuild with xserver-1.11.1.902

* Tue Mar 01 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.3-2
- rebuild with xserver-1.10.0

* Tue Aug 24 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.3-1
- new upstream release

* Sun Mar 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.2-2
- rebuild with xserver-1.8rc

* Tue Dec 29 2009 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.2-1
- new upstream release

* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.1-1
- new upstream release

* Fri Jul 04 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.0-2
- rebuild with xorg-server-1.4.99

* Sat May 17 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.0-1
- initial build for Vine Linux

* Thu Mar 20 2008 Dave Airlie <airlied@redhat.com> 0.7.0-1
- Latest upstream release

* Mon Mar 10 2008 Dave Airlie <airlied@redhat.com> - 0.6.0-8
- Rebuild with pciaccess fixes.

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6.0-7
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Adam Jackson <ajax@redhat.com> - 0.6.0-6
- Rebuild for PPC toolchain bug

* Wed Jun 20 2007 Adam Jackson <ajax@redhat.com> 0.6.0-5
- Fix ark.xinf.

* Mon Jun 18 2007 Adam Jackson <ajax@redhat.com> 0.6.0-4
- Update Requires and BuildRequires.  Disown the module directories.
  Add Requires: hwdata.

* Thu Feb 15 2007 Adam Jackson <ajax@redhat.com> 0.6.0-3
- ExclusiveArch -> ExcludeArch

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Tue May 23 2006 Adam Jackson <ajackson@redhat.com> 0.6.0-2
- Rebuild for 7.1 ABI fix.

* Sun Apr  9 2006 Adam Jackson <ajackson@redhat.com> 0.6.0-1
- Update to 0.6.0 from 7.1RC1.

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.5.0.5-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 0.5.0.5-1
- Updated xorg-x11-drv-ark to version 0.5.0.5 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 0.5.0.4-1
- Updated xorg-x11-drv-ark to version 0.5.0.4 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 0.5.0.2-1
- Updated xorg-x11-drv-ark to version 0.5.0.2 from X11R7 RC2

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 0.5.0.1-1
- Updated xorg-x11-drv-ark to version 0.5.0.1 from X11R7 RC1
- Fix *.la file removal.

* Mon Oct 3 2005 Mike A. Harris <mharris@redhat.com> 0.5.0-1
- Set "ExclusiveArch: %%{ix86}" to limit drivers to what is sensible on each
  architecture.
- Update BuildRoot to use Fedora Packaging Guidelines

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 0.5.0-0
- Initial spec file for ark video driver generated automatically
  by my xorg-driverspecgen script.
