%define tarball xf86-input-mouse
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/input

Summary:   Xorg X11 mouse input driver
Summary(ja):   Xorg X11 マウス入力ドライバ
Name:      xorg-x11-drv-mouse
Version:   1.7.2
Release:   1%{?_dist_release}
URL:       http://www.x.org
License:   MIT
Group:     User Interface/X Hardware Support

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: xorg-x11-server-sdk >= 1.6.0
Requires: xorg-x11-server-Xorg

Vendor: Project Vine
Distribution: Vine Linux

%description 
X.Org X11 mouse input driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/mouse_drv.so
%{_mandir}/man4/mousedrv.4*

%changelog
* Sun Mar 25 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.2-1
- new upstream release

* Wed Nov 02 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.1-2
- rebuild with xserver-1.11.1.902

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.1-1
- new upstream release

* Sat Mar 19 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.0-1
- new upstream release

* Mon Feb 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.99.901-1
- new upstream release

* Sun Nov 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-2
- rebuild with xserver-1.9.2

* Sun Oct 17 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- new upstream release

* Sun Mar 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.5.0-2
- rebuild with xserver-1.8rc

* Thu Nov 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0-1
- new upstream release

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.0-2
- rebuild with X server 1.6.0

* Tue Jan 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.0-1
- new upstream release

* Thu Jul 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.0-2
- rebuild with new xserver

* Sat Jul 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.0-1
- new upstream release

* Sun May 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.3-1
- new versioning policy

* Sun Jan 20 2008 Daisuke SUZUKI <daisuke@linux.or.jp> -0vl1
- initial build for Vine Linux

* Tue Nov 13 2007 Adam Jackson <ajax@redhat.com> 1.2.3-3
- Require xserver 1.4.99.1

* Fri Nov 09 2007 Adam Jackson <ajax@redhat.com> 1.2.3-2
- mouse-1.2.3-sleep-less.patch: Don't usleep(300000) at exit.

* Wed Oct 17 2007 Adam Jackson <ajax@redhat.com> 1.2.3-1
- xf86-input-mouse 1.2.3

* Mon Sep 24 2007 Adam Jackson <ajax@redhat.com> 1.2.2-1
- xf86-input-mouse 1.2.2

* Wed Aug 22 2007 Adam Jackson <ajax@redhat.com> - 1.2.1-4
- Rebuild for PPC toolchain bug

* Mon Jun 18 2007 Adam Jackson <ajax@redhat.com> 1.2.1-3
- Update Requires and BuildRequires.  Disown the module directories.

* Fri Feb 16 2007 Adam Jackson <ajax@redhat.com> 1.2.1-2
- ExclusiveArch -> ExcludeArch

* Fri Dec 1 2006 Adam Jackson <ajax@redhat.com> 1.2.1-1
- Update to 1.2.1

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Thu Jun 15 2006 Adam Jackson <ajackson@redhat.com> 1.1.1-1
- Update to 1.1.1

* Tue Jun 13 2006 Adam Jackson <ajackson@redhat.com> 1.1.0-3
- Build on ppc64

* Wed May 17 2006 Kristian H淡gsberg <krh@redhat.com> - 1.1.0-2
- Add missing build requires (#192047).

* Sun Apr  9 2006 Adam Jackson <ajackson@redhat.com> 1.1.0-1
- Update to 1.1.0 from 7.1RC1.

* Wed Mar 01 2006 Mike A. Harris <mharris@redhat.com> 1.0.4-1
- Updated to new upstream driver version mouse-1.0.4.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 1.0.3.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.0.3.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.3.1-1
- Updated xorg-x11-drv-mouse to version 1.0.3.1 from X11R7.0
- Rename temporary name of mouse manpage, to close (#178744)

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 1.0.3-1
- Updated xorg-x11-drv-mouse to version 1.0.3 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.
- Worked around mouse manpage issue.

* Mon Nov 21 2005 Mike A. Harris <mharris@redhat.com> 1.0.1-2
- Added "alpha sparc sparc64" to ExclusiveArch for AlphaCore, CentOS,
  AuroraLinux distributions, to minimize patching for them.
- Added ">= 0.99.3" dependency on Xorg server and sdk, based on CVS log
  message from Daniel Stone on Nov 21, 2005.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Updated xorg-x11-drv-mouse to version 1.0.1 from X11R7 RC2

* Fri Nov 04 2005 Mike A. Harris <mharris@redhat.com> 1.0.0.1-1
- Updated xorg-x11-drv-mouse to version 1.0.0.1 from X11R7 RC1
- Fix *.la file removal.

* Fri Sep 02 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-0
- Initial spec file for mouse input driver generated automatically
  by my xorg-driverspecgen script.
