%define tarball BlueDragonX-xf86-input-mtrack
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/input
%define githash 71abf32

Summary:   Xorg X11 Multitouch Trackpad Driver
Summary(ja):   Xorg X11 マルチタッチトラックパッド用ドライバ
Name:      xorg-x11-drv-mtrack
Version:   0.2.0
Release:   2.git%{githash}%{?_dist_release}
URL:       https://github.com/BlueDragonX/xf86-input-mtrack
License:   GPLv2+
Group:     User Interface/X Hardware Support

Source0:   %{tarball}-v%{version}-1-g%{githash}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: xorg-x11-server-sdk 
BuildRequires: libxkbfile-devel
BuildRequires: xorg-x11-util-macros >= 1.3.0
BuildRequires: mtdev-devel >= 1.0.10
Requires:  xorg-x11-server-Xorg
Requires:  mtdev >= 1.0.10

%description 
This X input driver provides gestures support for multitouch touchpads,
with or without an integrated button.

%prep
%setup -q -n %{tarball}-%{githash}

%build
aclocal
autoheader
autoconf
libtoolize --copy --force
automake -a --gnu --include-deps
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING CREDITS README.md
%{driverdir}/mtrack_drv.so

%changelog
* Wed Nov 02 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.0-2.71abf32
- rebuild with xserver-1.11.1.902

* Fri Sep 23 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.2.0-1.71abf32
- initial build for Vine Linux
