%define tarball xf86-video-r128
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

Summary:   Xorg X11 r128 video driver
Summary(ja):   Xorg X11 r128 ビデオドライバ
Name:      xorg-x11-drv-r128
Version:   6.8.2
Release:   1%{?_dist_release}
URL:       http://www.x.org
License:   MIT
Group:     User Interface/X Hardware Support

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   r128.xinf

Patch10:   xorg-x11-drv-r128-6.8.0-powerpc.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
ExcludeArch: s390 s390x
BuildRequires: xorg-x11-server-sdk >= 1.6
BuildRequires: mesa-libGL-devel
BuildRequires: libdrm-devel
BuildRequires: automake autoconf libtool pkgconfig
BuildRequires: xorg-x11-util-macros
Requires:  hwdata
Requires:  xorg-x11-server-Xorg
Obsoletes: xorg-x11-drv-ati < 6.9.0

%description 
X.Org X11 r128 video driver.

%prep
%setup -q -n %{tarball}-%{version}
%patch10 -p1 -b .powerpc


%build
autoreconf -f -i
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.r128
%{driverdir}/r128_drv.so
%{_datadir}/hwdata/videoaliases/r128.xinf
%{_mandir}/man4/r128.4*


%changelog
* Sun Mar 25 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.8.2-1
- new upstream release

* Wed Nov 02 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.8.1-6
- rebuild with xserver-1.11.1.902

* Mon Feb 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.8.1-5
- rebuild with xserver-1.10.0

* Sun Nov 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.8.1-4
- rebuild with xserver-1.9.2

* Sun Mar 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.8.1-3
- rebuild with xserver-1.8rc

* Fri Nov 20 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 6.8.1-2
- add Patch10 (UseFBDev defaults to False on PowerPC)
  this was imported from 6.8.0-3 (Vine-5.0/proposed-updates)

* Thu Nov 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 6.8.1-1
- new upstream release

* Mon May 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 6.8.0-2
- rebuild for xserver 1.6

* Fri Jul 04 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 6.8.0-1
- initial build

