%define pkgname server-utils

Summary: X.Org X11 X server utilities
Summary(ja): X.Org X11 X サーバユーティリティ
Name: xorg-x11-%{pkgname}
Version: 7.6
Release: 7%{?_dist_release}
License: MIT/X11
Group: User Interface/X
URL: http://www.x.org

Source0:  ftp://ftp.x.org/pub/individual/app/iceauth-1.0.5.tar.bz2
Source2:  ftp://ftp.x.org/pub/individual/app/rgb-1.0.4.tar.bz2
Source3:  ftp://ftp.x.org/pub/individual/app/sessreg-1.0.7.tar.bz2
Source4:  ftp://ftp.x.org/pub/individual/app/xcmsdb-1.0.4.tar.bz2
Source5:  ftp://ftp.x.org/pub/individual/app/xgamma-1.0.5.tar.bz2
Source6:  ftp://ftp.x.org/pub/individual/app/xhost-1.0.5.tar.bz2
Source7:  ftp://ftp.x.org/pub/individual/app/xmodmap-1.0.6.tar.bz2
Source8:  ftp://ftp.x.org/pub/individual/app/xrandr-1.3.5.tar.bz2
Source9:  ftp://ftp.x.org/pub/individual/app/xrdb-1.0.9.tar.bz2
Source10: ftp://ftp.x.org/pub/individual/app/xrefresh-1.0.4.tar.bz2
Source11: ftp://ftp.x.org/pub/individual/app/xset-1.2.2.tar.bz2
Source12: ftp://ftp.x.org/pub/individual/app/xsetmode-1.0.0.tar.bz2
Source13: ftp://ftp.x.org/pub/individual/app/xsetpointer-1.0.1.tar.bz2
Source14: ftp://ftp.x.org/pub/individual/app/xsetroot-1.1.0.tar.bz2
Source15: ftp://ftp.x.org/pub/individual/app/xstdcmap-1.0.2.tar.bz2
Source17: ftp://ftp.x.org/pub/individual/app/xvidtune-1.0.2.tar.bz2
# NOTE: Each upstream tarball has its own "PatchN" section, taken from
# multiplying the "SourceN" line times 100.  Please keep them in this
# order.  Also, please keep each patch specific to a single upstream tarball,
# so that they don't have to be split in half when submitting upstream.
#
# iceauth section
#Patch0: 

# rgb section
Patch1100: rgb-1.0.3-datadir-rgbpath-fix.patch
# xvidtune section
Patch1700: xvidtune-1.0.1-buffer-stomp.patch
Patch1710: xvidtune-1.0.1-xaw7.patch

# xrandr section

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
# FIXME: Temporary build dep on automake, autoconf while they're still used
# in the specfile.
BuildRequires: autoconf, automake
BuildRequires: pkgconfig
# xsetroot requires xbitmaps-devel
BuildRequires: xbitmaps-devel
# xsetroot requires libX11-devel
BuildRequires: libX11-devel
# xsetroot requires libXmu-devel
BuildRequires: libXmu-devel
BuildRequires: xorg-x11-xtrans-devel libXext-devel
BuildRequires: libXrandr-devel >= 1.2.0
BuildRequires: xorg-x11-util-macros libXxf86vm-devel libXrandr-devel
BuildRequires: libXrender-devel libXi-devel libXt-devel
BuildRequires: libXaw-devel >= 1.0.5
BuildRequires: libXpm-devel libXxf86misc-devel libXfontcache-devel
BuildRequires: zlib-devel
BuildRequires: libXcursor-devel
# ENDNOTE

# xrdb requires the C preprocessor to work properly
Requires: cpp

Requires: libXrandr

Provides: iceauth rgb sessreg xcmsdb xgamma xhost
Provides: xmodmap xrandr xrdb xrefresh xset xsetmode xsetpointer
Provides: xsetroot xstdcmap xvidtune

# NOTE: iceauth, rgb, sessreg, xcmsdb, xgamma, xhost, xmodmap,
# xrandr, xrdb, xrefresh, xset, xsetmode, xsetpointer, xsetroot, xstdcmap,
# xvidtune, were all in xorg-x11 and XFree86 packages, so we obsolete
# them to ensure upgrades work.
Obsoletes: XFree86

Vendor: Project Vine
Distribution: Vine Linux

%description
A collection of utilities used to tweak and query the runtime configuration
of the X server.

%prep
%setup -q -c %{name}-%{version} -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a12 -a13 -a14 -a15 -a17

## %patch1100 -p0 -b .datadir-rgbpath-fix
## %patch1700 -p1 -b .buffer-stomp
## %patch1710 -p1 -b .xaw7


%build

# Build all apps
{
   for app in * ; do
      pushd $app
      case $app in
         rgb-*)
            # FIXME: run autotools junk to kick in our patch
            aclocal --force
            automake -f
            autoconf
            %configure ;# --with-rgb-db=%{_datadir}/X11
            ;;
	 xset-*)
	    # FIXME: run autotools junk to kick in our patch
	    aclocal --force
	    automake -f
	    autoconf
	    %configure
	    ;;
         xvidtune-*)
            # FIXME: run autotools junk to kick in our patch
            aclocal --force
            automake -f
            autoconf
            %configure
            ;;
         *)
            %configure
            ;;
      esac

      make
      popd
   done
}

%install
rm -rf $RPM_BUILD_ROOT
# Install all apps
{
   for app in * ; do
      pushd $app
      case $app in
         *)
            make install DESTDIR=$RPM_BUILD_ROOT
            ;;
      esac
      popd
   done
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/iceauth
%{_bindir}/sessreg
%{_bindir}/showrgb
%{_bindir}/xcmsdb
%{_bindir}/xgamma
%{_bindir}/xhost
%{_bindir}/xkeystone
%{_bindir}/xmodmap
%{_bindir}/xrandr
%{_bindir}/xrdb
%{_bindir}/xrefresh
%{_bindir}/xset
%{_bindir}/xsetmode
%{_bindir}/xsetpointer
%{_bindir}/xsetroot
%{_bindir}/xstdcmap
%{_bindir}/xvidtune
%dir %{_datadir}/X11
%{_datadir}/X11/rgb.txt
%{_datadir}/X11/app-defaults/Xvidtune
%{_mandir}/man1/iceauth.1*
%{_mandir}/man1/sessreg.1*
%{_mandir}/man1/showrgb.1*
%{_mandir}/man1/xcmsdb.1*
%{_mandir}/man1/xgamma.1*
%{_mandir}/man1/xhost.1*
%{_mandir}/man1/xmodmap.1*
%{_mandir}/man1/xrandr.1*
%{_mandir}/man1/xrdb.1*
%{_mandir}/man1/xrefresh.1*
%{_mandir}/man1/xset.1*
%{_mandir}/man1/xsetmode.1*
%{_mandir}/man1/xsetpointer.1*
%{_mandir}/man1/xsetroot.1*
%{_mandir}/man1/xstdcmap.1*
%{_mandir}/man1/xvidtune.1*

%changelog
* Sat Mar 24 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.6-7
- xgamma-1.0.5
- xhost-1.0.5
- xmodmap-1.0.6

* Sat Mar 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.6-6
- xcmsdb-1.0.4

* Sun Jan 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.6-5
- sessreg-1.0.7

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.6-4
- iceauth-1.0.5
- xcmsdb-1.0.3
- xrandr-1.3.5
- xset-1.2.2

* Sun May 01 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.6-3
- delete Obsoletes: xorg-x11

* Thu Apr 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.6-2
- xrdb-1.0.9
  (including security fix for CVE-2011-0465)

* Sat Feb 05 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.6-1
- xrdb-1.0.8

* Sat Dec 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.5-3
- xgamma-1.0.4
- xrdb-1.0.7
- xrefresh-1.0.4
- xset-1.2.1

* Sun Nov 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.5-2
- iceauth-1.0.4
- rgb-1.0.4
- sessreg-1.0.6
- xcmsdb-1.0.3
- xhost-1.0.4
- xmodmap-1.0.5
- xrandr-1.3.4
- xset-1.2.0
- xsetroot-1.1.0
- xstdcmap-1.0.2
- xvidtune-1.0.2
- drop Patch1100,1700,1710
- add BuildRequires: libXcursor-devel
- fix %%files

* Thu Nov 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 7.5-1
- iceauth-1.0.3
- sessreg-1.0.5
- xcmsdb-1.0.2
- xgamma-1.0.3
- xhost-1.0.3
- xmodmap-1.0.4
- xrandr-1.3.2
- xrdb-1.0.6
- xrefresh-1.0.3
- xset-1.1.0
- xsetroot-1.0.3
- drop xtrap (deprecated upstream)

* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 7.4-2
- xrandr-1.3.0

* Wed Mar 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 7.4-1
- xrandr-1.2.99.4

* Sun Nov 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.3-3
- rebuild with libXaw.so.7 (libXaw-1.0.5)

* Sat Jul 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.3-2
- rgb 1.0.3
- sessreg 1.0.4
- xhost 1.0.2
- xrandr 1.2.3
- xrdb 1.0.5
- xset 1.0.4
- xsetpointer 1.0.1 

* Sun May 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.3-1
- new versioning policy

* Sun Jan 20 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 7.3-0vl1
- initial build for Vine Linux

* Thu Nov 29 2007 Dave Airlie <airlied@redhat.com> 7.3-2
- xrandr-1.2.2-reset-other-outputs-using-best-crtc.patch
- xrandr-1.2.2-verify-crtc-against-prev-config.patch
- Patches from upstream to fix some bug in xrandr app

* Mon Sep 24 2007 Adam Jackson <ajax@redhat.com> 7.3-1
- sessreg 1.0.3
- xgamma 1.0.2
- xmodmap 1.0.3
- xrdb 1.0.4
- xset 1.0.3
- xsetroot 1.0.2
- Bump to 7.3

* Thu Aug 23 2007 Adam Jackson <ajax@redhat.com> - 7.2-6
- Rebuild for ppc toolchain bug

* Wed Jul 25 2007 Jeremy Katz <katzj@redhat.com> - 7.2-5
- rebuild for toolchain bug

* Tue Jul 24 2007 Adam Jackson <ajax@redhat.com> 7.2-4
- iceauth 1.0.2

* Wed Jul 11 2007 Adam Jackson <ajax@redhat.com> 7.2-3
- xrandr 1.2.2

* Wed Jun 27 2007 Adam Jackson <ajax@redhat.com> 7.2-2
- xrandr 1.2.1

* Wed Feb 28 2007 Adam Jackson <ajax@redhat.com> 7.2-1
- Superstition bump to 7.2
- xrandr 1.2.0

* Tue Jan 30 2007 Adam Jackson <ajax@redhat.com> 7.1-5
- Fix man page globs and rebuild for FC7.

* Fri Aug  4 2006 Adam Jackson <ajackson@redhat.com> 7.1-4.fc6
- xvidtune-1.0.1-buffer-stomp.patch: Fix a heap smash. (#189146)

* Wed Jul 19 2006 Mike A. Harris <mharris@redhat.com> 7.1-3.fc6
- Remove app-defaults dir from file manifest, as it is owned by libXt (#174021)
- Add 'dist' tag to package release string.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 7.1-2.1
- rebuild

- Update to rgb-1.0.2 from X11R7.1

* Wed Jun 21 2006 Mike A. Harris <mharris@redhat.com> 7.1-1
- Bump the package version to 7.1 to have it match the X11 release that the
  tarballs came from going forward.
- Update to xrefresh-1.0.2, xtrap-1.0.2 from X11R7.1
- Remove build dependency on liblbxutil-devel, as LBX is no longer supported.

* Mon Jun 05 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-6
- Clean up Source lines in spec file, and other minor cleanups.

* Wed May 17 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-5
- Added a whackload of BuildRequires for bug (#191987)

* Thu Apr 27 2006 Adam Jackson <ajackson@redhat.com> 1.0.1-4
- Updated xmodmap, xrandr, xrdb, and xset.

* Tue Apr 25 2006 Adam Jackson <ajackson@redhat.com> 1.0.1-3
- Eliminate a spurious Xprint dependency from xset.

* Fri Apr 14 2006 Adam Jackson <ajackson@redhat.com> 1.0.1-2
- Drop lbxproxy, LBX is deprecated upstream
- Update to xhost 1.0.1

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 1.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Updated all packages to the versions from X11R7.0

* Mon Nov 28 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Updated all packages to version 1.0.0 from X11R7 RC4
- Changed manpage dirs from man1x to man1 to match upstream RC4 default.
- Updated lbxproxy-datadir-AtomControl-fix.patch
- Updated rgb-1.0.0-datadir-rgbpath-fix.patch
- Removed xvidtune-0.99.1-datadir-app-defaults-fix.patch, now unneeded.

* Mon Nov 28 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-6
- Added "Requires: cpp" as xrdb requires it for proper operation (#174302)

* Wed Nov 22 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-5
- Bump "filesystem" Requires(pre) to 2.3.7-1.

* Fri Nov 18 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-4
- Added lbxproxy-0.99.2-datadir-AtomControl-fix.patch to move architecture
  independent data files from libdir to datadir.
- Added rgb-0.99.2-datadir-rgbpath-fix.patch to move architecture independent
  data files from libdir to datadir.
- Added xvidtune-0.99.1-datadir-app-defaults-fix.patch to move app-defaults
  into datadir.

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> 0.99.2-3
- require newer filesystem package (#172610)

* Sun Nov 13 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-2
- Added "Obsoletes: XFree86, xorg-x11", as these utilities came from there.
- Rebuild against new libXaw 0.99.2-2, which has fixed DT_SONAME. (#173027)

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-1
- Initial build, with all apps taken from X11R7 RC2
- Use "make install DESTDIR=$RPM_BUILD_ROOT" as the makeinstall macro fails on
  some packages.
